;==============================================================
; Lethal Weapon 3 Music
;
; Source code in WLA-DX assembler dialect
;
; Converted from some unknown assembler (TASM?) by Maxim
; around the end of June, 2010
;
; Changes have been minimal wherever possible, leaving original
; code etc in comments.
; Additions should be marked with a "; M" comment.
;
; The original use of tabs seems quite messed up. The tab width
; seems to be 8 in some places, more (!) in others.
;==============================================================

; SMS memory map   ; M
.MEMORYMAP         ; M
DEFAULTSLOT 0      ; M
SLOTSIZE $8000     ; M
SLOT 0 $0000       ; M
SLOTSIZE $4000     ; M
SLOT 1 $8000       ; M
SLOTSIZE $2000     ; M
SLOT 2 $c000       ; M
.ENDME             ; M

.ROMBANKMAP        ; M
BANKSTOTAL 1       ; M
BANKSIZE $8000     ; M
BANKS 1            ; M
.ENDRO             ; M

.bank 0 slot 0     ; M
.org $0000         ; M
    di             ; M
    im 1           ; M
    jp INITCOMP    ; M


;==============================================================
; Part 0 (0.PDS)
;==============================================================


.define SENDSCREEN	; enable/disable driver-screen

;-----------------------------------------------------------------------------
;SEGA MASTER SYSTEM/GAME GEAR - AUDIO-DRIVER
;
;CONCEPT & PROGRAMMING by JEROEN TEL / THE SONIC CIRCLE
;
;FOR EXCLUSIVE USE ONLY!
;-----------------------------------------------------------------------------
;
;Game/type		:LETHAL WEAPON3 / PAL
;By		:JEROEN 'MANIAC OF NOISE' TEL / THE SONIC CIRCLE
;Format		:SEGA MASTERSYSTEM/GAME_GEAR
;Date		:06/11/1992
;
;P.D.S. Note: (ctrl) (f)=find (t)=find next (c)=copy (m)=move
;----------------------------------------------------------------------------------------------------------------------
;DON'T USE ANYTHING FROM HERE...........

;	SEND	COMPUTER0

	.ORG $0038
	JP	INTCONTROL
	.ORG $0066
	DI
	LD	SP,$DFF0
	JP	PDS


.ORG	$400

.define voictest		$00*4
.define stpindex		$01*4

.define seqindex		$02*4
.define seqposit		$03*4
.define repstcnt		$04*4
.define stepnumb		$05*4
.define spdcount		$06*4
.define spdcheck		$07*4
.define realplay		$08*4
.define noteinit		$09*4
.define realsoun		$0A*4
.define noteleng		$0B*4
.define realleng		$0C*4
.define realnote		$0D*4
.define lofrqwrd		$0E*4
.define hifrqwrd		$0F*4
.define tranbyte		$10*4
.define sfxtrans		$11*4
.define arpindex		$12*4
.define arpnumbo		$13*4
.define arpspeed		$14*4
.define arponoto		$15*4
.define gldspeed		$16*4
.define glddirec		$17*4
.define glddelay		$18*4
.define destnote		$19*4
.define vibdelay		$1A*4
.define vibindex		$1B*4
.define amplitud		$1C*4
.define ampindex		$1D*4
.define fx01		$1E*4
.define fx02		$1F*4
.define fx03		-2*4;$20*4           ; M bugfix: overflowed signed 8-bit range
.define lofrsame		-1*4;$21*4       ; M bugfix: overflowed signed 8-bit range

.define SCREEN1		$3000
.define SCREEN2		$3800

.define PDS		$B0

.define PAGEFLAG		$FFFC
.define PAGEAREA0		$FFFD
.define PAGEAREA1		$FFFE
.define PAGEAREA2		$FFFF

.define SLOTSEL		$3E
.define VDPCOM		$BF
.define VDPDATA		$BE
.define JOYPORT1		$DC
.define JOYPORT2		$DD
.define PSGPORT		$7F

.define BLACK		0

.define RED		%00000011
.define GREEN		%00001100
.define BLUE		%00110000

.define RED0		%00000001
.define RED1		%00000010
.define RED2		%00000011
.define RED3		%00010111

.define GREEN0		%00000100
.define GREEN1		%00001000
.define GREEN2		%00001100

.define BLUE0		%00010000
.define BLUE1		%00100000
.define BLUE2		%00110000

.define GREEN3	RED0|GREEN2|BLUE0
.define GREEN4	RED1|GREEN2|BLUE2

.define BLUE3	BLUE2|GREEN0|RED0
.define BLUE4	BLUE2|GREEN1|RED0
.define BLUE5	BLUE2|GREEN1|RED1
.define BLUE6	BLUE2|GREEN2|RED1

.define YELLOW0	RED0|GREEN0
.define YELLOW1	RED1|GREEN1
.define YELLOW2	RED2|GREEN2
.define YELLOW3	RED2|GREEN2|BLUE0

.define MAGENTA0	RED0|BLUE0
.define MAGENTA1	RED1|BLUE1
.define MAGENTA2	RED2|BLUE2

.define CYAN0		GREEN0|BLUE0
.define CYAN1		GREEN1|BLUE1
.define CYAN2		GREEN2|BLUE2

.define WHITE0	RED0|GREEN0|BLUE0
.define WHITE1	RED1|GREEN1|BLUE1
.define WHITE2	RED2|GREEN2|BLUE2

.define BROWN		RED1|GREEN0
.define ORANGE	RED2|GREEN1
.define PINK		RED2|GREEN1|BLUE1


start
INITCOMP	DI
	LD	SP,$DFEF

	LD	A,($C000)
	AND	$E0
	OR	$08
	OUT	($3E),A
	LD	A,$0F
	OUT	($3F),A

	LD	A,%00000000
	LD	(PAGEFLAG),A
	LD	A,0
	LD	(PAGEAREA0),A
	LD	A,1
	LD	(PAGEAREA1),A
	LD	A,2
	LD	(PAGEAREA2),A

	LD	BC,$00D6		; no scrolling, norm sprites,
	CALL	SETVDPREG		; in vdp r0
	LD	BC,$01E0		; screen on etc
	CALL	SETVDPREG
	LD	BC,$02FF		; screen on etc
	CALL	SETVDPREG
	LD	BC,$05FF
	CALL	SETVDPREG
	LD	BC,$06FB
	CALL	SETVDPREG
	LD	BC,$07F0		; border 0 in 2nd bank of colours !!
	CALL	SETVDPREG
	LD	BC,$0AFF		; set interrupts( vblank only ! )
	CALL	SETVDPREG

	LD	HL,TEXTPALET
	CALL	SETCOLOURS

	LD	DE,$0000
	CALL	soundinit
	LD	DE,$0001
	CALL	soundinit
	LD	DE,$0002
	CALL	soundinit
	LD	DE,$0003
	CALL	soundinit

	EI

	.IFdef	SENDSCREEN
	CALL	CLS
	LD	BC,24*64
	LD	DE,$3800
	LD	HL,SCREENDEF
	CALL	VRAMLDIR

	LD	BC,255*32;46*32
	LD	DE,$0000
	LD	HL,TEXTCHARS
	CALL	VRAMLDIR
	.ENDIF

	XOR	A
	LD	(ATNO),A
	LD	(SAMNO),A

;	LD	IX,SOUNDTEXT
;	CALL	PRS

MAINLOOP	CALL	VBLANK
	CALL	VBLANK
	CALL	VBLANK

	LD	A,(ATNO)
	LD	(NUMBUFF+2),A
	LD	A,3
	LD	DE,6*64+20*2+$3800
	LD	HL,NUMBUFF
	CALL	DNUMBER
	LD	A,(SAMNO)
	LD	(NUMBUFF+2),A
	LD	A,3
	LD	DE,8*64+20*2+$3800
	LD	HL,NUMBUFF
	CALL	DNUMBER

	IN	A,($DD)		;CHECK RESET PRESSED
	BIT	4,A
	JP	NZ,NORESET

	LD	DE,$0000
	CALL	soundinit
	LD	DE,$0001
	CALL	soundinit
	LD	DE,$0002
	CALL	soundinit
	LD	DE,$0003
	CALL	soundinit

NORESET


READJOY	CALL	GKEYS
	LD	HL,(ATNO)
	BIT	0,E
	JP	Z,+ ;$2
	INC	H
+:/*$2*/	BIT	1,E
	JP	Z,+ ;$3
	INC	L
+:/*$3*/	BIT	2,E
	JP	Z,+ ;$4
	DEC	H
+:/*$4*/	BIT	3,E
	JP	Z,+ ;$5
	DEC	L
+:/*$5*/	LD	(ATNO),HL
	BIT	4,E
	JP	Z,++ ;$6

	EI

-:/*$50*/

	CALL	GKEYS
	BIT	4,E
	JP	NZ,- ;$50

;	LD	A,(MONOFF)
;	XOR	1
;	LD	(MONOFF),A
;	JP	Z,+ ;$51

	LD	HL,sfxtab0
	LD	DE,(ATNO)
	LD	D,0
	ADD	HL,DE
	LD	D,(HL)
	LD	E,$00
	DI
	call	soundinit
	EI
	LD	HL,sfxtab1
	LD	DE,(ATNO)
	LD	D,0
	ADD	HL,DE
	LD	D,(HL)
	LD	E,$01
	DI
	call	soundinit
	EI
	LD	HL,sfxtab2
	LD	DE,(ATNO)
	LD	D,0
	ADD	HL,DE
	LD	D,(HL)
	LD	E,$02
	DI
	call	soundinit
	EI
	LD	HL,sfxtab3
	LD	DE,(ATNO)
	LD	D,0
	ADD	HL,DE
	LD	D,(HL)
	LD	E,$03
	DI
	call	soundinit
	EI
	JP	MAINLOOP

;+:/*$51*/	DI
;	LD	DE,$0000
;	CALL	soundinit
;	LD	DE,$0001
;	CALL	soundinit
;	LD	DE,$0002
;	CALL	soundinit
;	LD	DE,$0003
;	CALL	soundinit
;	EI
;	JP	MAINLOOP ;$1

++:/*$6*/	; Button 2 pressed?
	BIT	5,E
	JP	Z,fastdone	; Release

	; Start/continue fast forward
	DI

	ld	de,$0000
	call	soundplay
	ld	de,$0001
	call	soundplay
	ld	de,$0002
	call	soundplay
	ld	de,$0003
	call	soundplay

	JP	READJOY

fastdone	; End fast forward
	ei
	jp	MAINLOOP

	DI			;STOPMUSIC & PLAYSAMPLE CODE! N.I.U.
	LD	DE,$0000
	CALL	soundinit
	LD	DE,$0001
	CALL	soundinit
	LD	DE,$0002
	CALL	soundinit
	LD	DE,$0003
	CALL	soundinit
	EI
	LD	HL,SAMTAB
	LD	A,(SAMNO)
	ADD	A,A
	ADD	A,A
	LD	E,A
	LD	D,0
	ADD	HL,DE
	LD	E,(HL)
	INC	HL
	LD	D,(HL)
	INC	HL
	LD	C,(HL)
	INC	HL
	LD	B,(HL)
	LD	HL,(SAMSPEED)
	EX	DE,HL
	CALL	VBLANK
	CALL	SAMPLAY
	JP	MAINLOOP

SAMPLAY	DI
	LD	A,%10011111
	OUT	(PSGPORT),A
	LD	A,%10111111
	OUT	(PSGPORT),A
	LD	A,%11011111
	OUT	(PSGPORT),A
	LD	A,%11111111
	OUT	(PSGPORT),A

--:/*$1*/	PUSH	HL
	EXX
	POP	HL

	LD	A,(HL)
	SRL	A
	SRL	A
	SRL	A
	SRL	A
	or	%10110000
	out	(PSGPORT),a
	ADD	A,%00100000
	OUT	(PSGPORT),A
	EXX

	INC	HL

	LD	A,E
-:/*$2*/	DEC	A
	JP	NZ,- ;$2

	DEC	BC
	LD	A,B
	OR	C
	JP	NZ,-- ;$1

	EI
	RET


INTCONTROL	DI

	PUSH	AF
	push BC
	push DE
	push HL
	push IX

	IN	A,(VDPCOM)		; get int. status

	BIT	7,A
	JP	Z,EXIT		; jump if not vblank

	CALL	PAUSMAKE
	CALL	PAUSMAKE
	CALL	PAUSMAKE
	CALL	PAUSMAKE
	CALL	PAUSMAKE
	CALL	PAUSMAKE
	CALL	PAUSMAKE
	CALL	PAUSMAKE
	CALL	PAUSMAKE

	LD	HL,RASTPALET0
	CALL	SET1COLOUR

	ld	de,$0000
	call	soundplay

	LD	HL,RASTPALET1
	CALL	SET1COLOUR

	ld	de,$0001
	call	soundplay

	LD	HL,RASTPALET2
	CALL	SET1COLOUR

	ld	de,$0002
	call	soundplay

	LD	HL,RASTPALET3
	CALL	SET1COLOUR

	ld	de,$0003
	call	soundplay

	LD	HL,TEXTPALET
	CALL	SET1COLOUR

	LD	A,$80
	LD	(INTFLAG),A

EXIT	POP	IX
	pop HL
	pop DE
	pop BC
	pop AF

	EI
	RET

PAUSMAKE
	LD	A,$EF
PAUSLOOP	NOP
	SUB	$01
	JP	NZ,PAUSLOOP
	RET


;DON'T USE ANYTHING TILL HERE, JUST TO RUN THE AUDIO FOR YOU.








; REAL START OF DRIVER 






soundinit	jp	AUDIOIN	;Jump to channel init-routine with A & X (once)
soundplay	jp	AUDIOPL	;Jump to channel play-routine with X     (50t/s)

; entry :- d=sequence no.
;	e=channel/index no. (=x)
;

AUDIOIN	ld	ix,VARIABLES+8 ; M bugfix: overflowed signed 8-bit range
	ld	b,0
	ld	c,e
	add	ix,bc

	sla	d		;CHANNEL INITIALISATION for voice X
	ld	(ix+seqposit),d
	ld	(ix+stpindex),sex-s00-1
	xor	a
	ld	(ix+seqindex),a
 	ld	(ix+spdcheck),a
	ld	(ix+spdcount),a
	ld	(ix+noteinit),a
	ld	(ix+tranbyte),a
	ld	(ix+stepnumb),a
	ld	(ix+ampindex),a
	ld	(ix+amplitud),a
	ld	(ix+ -1*4/*lofrsame*/ ),a	; M WLA-DX doesn't support using a symbol here :(
	ld	(ix+sfxtrans),a
	inc	a
	ld	(ix+voictest),a
	ld	(ix+repstcnt),a
	ld	(ix+noteleng),a

; enable voice

	ret

AUDIOPL	ld	ix,VARIABLES+8 ; M bugfix: overflowed signed 8-bit range
	ld	b,0
	ld	c,e
	add	ix,bc

	ld	a,(ix+voictest)		;CHECK IF THIS IS VOICE 1,2,3 or 4
	or	a
       	ret	z

DOVOICE
	ld	a,(ix+amplitud)
	xor	%00001111
	ld	l,a
	ld	a,e
	add	a,a
	add	a,a
	add	a,a
	add	a,a
	add	a,a		;TRANSFER VALUES TO SOUND-CHIP
	or	%10010000
	or	l
	out	(PSGPORT),a

nonewamp

/*$dv1*/	ld	a,e
	cp	$03
	jp	z,+ ;$dv2

; set low frequency reg.
	add	a,a
	add	a,a
	add	a,a
	add	a,a
	add	a,a
	or	%10000000
	ld	l,a
	ld	a,(ix+lofrqwrd)

	and	%00001111
	or	l
	out	(PSGPORT),a

	ld	l,(ix+lofrqwrd)
	srl	l
	srl	l
	srl	l
	srl	l
	ld	a,(ix+hifrqwrd)
	add	a,a
	add	a,a
	add	a,a
	add	a,a
	and	%00110000
	or	l
	out	(PSGPORT),a
	jp	SPDHDL1

+ ;$dv2
	ld	a,(ix+lofrqwrd)
	cp	(ix+ -1*4/*lofrsame*/)
	jp	z,SPDHDL1
	ld	(ix+ -1*4/*lofrsame*/),a
	or	%11100000
	out	(PSGPORT),a

SPDHDL1	xor	a		;Speedroutine (two speed bytes)
	ld	(ix+realplay),a
	dec	(ix+spdcount)
	jp	p,SPDHDX1
	ld	a,(ix+spdcheck)
	xor	$ff
	ld	(ix+spdcheck),a
	jp	p,SECONS1
	ld	c,(ix+seqposit)	
	ld	b,0
	ld	hl,seqtabes+$00
	add	hl,bc
	ld	a,(hl)
	jp	SPDSET1

SECONS1	ld	c,(ix+seqposit)
	ld	b,0
	ld	hl,seqtabes+$01
	add	hl,bc
	ld	a,(hl)

SPDSET1	ld	(ix+spdcount),a
	ld	a,$ff
	ld	(ix+realplay),a

SPDHDX1	ld	a,(ix+realplay)		;check if new leng subtraction necessary
	or	a
	jp	p,NOSTPH1	

AUDIPL1	dec	(ix+noteleng)		;decrease speed, if zero then stephandle
	jp	z,STPHDL1

NOSTPH1	ld	a,(ix+realnote)		;check realnote on pause, no FX
	cp	$ff		
	call	nz,FXPLAY1		

NOFXPL1	xor	a		;clear noteinit
	ld	(ix+noteinit),a	;	
	ret			;

STPHDL1	ld	c,(ix+stepnumb)		;What step to take
	ld	b,0
	ld	hl,stptablo
	add	hl,bc
	ld	a,(hl)
	ld	(ssslo),a		
	ld	hl,stptabhi
	add	hl,bc
	ld	a,(hl)
	ld	(ssshi),a		

	xor	a		;reset glide (if not reached dest. note)
	ld	(ix+gldspeed),a

	ld	c,(ix+stpindex)		;read step-index
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	cp	$ff		;step check on end 
	jr	z,SEQHDL1		;yes, goto sequence-handle
	jp	STPHD12		;no, goto stephandle 02

SEQHDL1	dec	(ix+repstcnt)		;check if step repeats
	jr	z,REALSQ1		;no, goto real sequence-handle
	xor	a		;yes, reset index & do last step again
	ld	(ix+stpindex),a	;
	ld	c,a			;
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	jp	STPHD12		;

REALSQ1	ld	c,(ix+seqposit)		;what sequence to take
	ld	b,0
	ld	hl,AUDTABLE+$00
	add	hl,bc
	ld	a,(hl)
	ld	(ssslo),a		;
	ld	hl,AUDTABLE+$01
	add	hl,bc
	ld	a,(hl)
	ld	(ssshi),a		;

	ld	c,(ix+seqindex)		;read sequence-index
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	cp	$ff		;check sequence on end-repeat
	jr	nz,SEQHD12		;
	inc	c			;
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	ld	(ix+seqindex),a	
	ld	c,a			;
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	jp	SEQHD15		;goto next sequence

SEQHD12	cp	$fe		;check sequence on end-real
	jr	nz,SEQHD13		;
	xor	a		;yes, disable voice
	ld	(ix+voictest),a	;
	ret

SEQHD13	cp	$fc		;!!!! DO THE FADE! GODDAMNED !!!!
	jr	nz,SEQHD15		;!!!! still to be programmed !!!!

SEQHD15	cp	$80		;note transpose	check
	jr	c,SEQHD16
       	and	$7f
	ld	(ix+tranbyte),a
	inc	c
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	or	a
	jp	m,NONWSTP
	cp	$80
   	jr	nc,NONWSTP

SEQHD16
;	cp	$70		;sfix transpose	check
;	jr	c,SEQHD17
;	and	$0f
;	ld	(ix+sfxtrans),a
;	inc	c
;	ld	b,0
;	ld	hl,(ssslo)
;	add	hl,bc
;	ld	a,(hl)

SEQHD17
;	cp	$60		;repeat step check
;	jr	c,SEQHD19
;	and	$0f
;	ld	(ix+repstcnt),a
;	inc	c
;	ld	b,0
;	ld	hl,(ssslo)
;	add	hl,bc
;	ld	a,(hl)

SEQHD19	ld	(ix+stepnumb),a	;set step & clear stepindex
	inc	c
NONWSTP	ld	a,c
	ld	(ix+seqindex),a
	inc	(ix+repstcnt)		;make sure step plays at least once
	xor	a
	ld	(ix+stpindex),a
	jp	STPHDL1		;back to step-handle

STPHD12 	cp	$fd		;glide check in step
	jr	nz,STPHD14
	inc	c
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	ld	(ix+gldspeed),a
	inc	c
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	add	a,(ix+tranbyte)
	ld	(ix+realnote),a
	inc	c
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	add	a,(ix+tranbyte)
	ld	(ix+destnote),a
	inc	c
	jp	NONEWN1

STPHD14	cp	$e0		;pause check
	jr	c,STPHD15
	and	$1f
	ld	(ix+realleng),a
	ld	a,$ff
	ld	(ix+realnote),a
       	xor	a
	ld	(ix+amplitud),a
	inc	c
	ld	a,c
	ld	(ix+stpindex),a
	jp	PAUSEX1

STPHD15	cp	$c0		;sound check
	jr	c,STPHD16
	add	a,(ix+sfxtrans)
	sla	a
	sla	a
	ld	(ix+realsoun),a
	inc	c
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	cp	$fd
	jr	z,STPHD12
	cp	$c0
	jr	nc,NONEWN1
	
STPHD16	cp	$80		;length check
	jr	c,STPHD17
	and	$7f
	ld	(ix+realleng),a
	inc	c
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	cp	$fd
	jr	z,STPHD12
	cp	$80
	jr	nc,NONEWN1

STPHD17	cp	$60		;arp check
	jr	c,STPHD18
	and	$1f	
	ld	(ix+arpnumbo),a
	inc	c
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	cp	$60
	jr	nc,NONEWN1

STPHD18	add	a,(ix+tranbyte)	;set note + note transpose
	ld	(ix+realnote),a
	inc	c
NONEWN1	ld	a,c
	ld	(ix+stpindex),a		;update step-index
	
	inc	(ix+noteinit)		;first init has been done
	ld	c,(ix+realsoun)		

	ld	a,e
	cp	$03
	jp	nz,NONEWPL
	ld	b,0
	ld	hl,soundfix+$00
	add	hl,bc
	ld	a,(hl)		;check if new noise to be set
	ld	(noisenabl),a

NONEWPL	ld	b,0
	ld	hl,soundfix+$01
	add	hl,bc
	ld	a,(hl)		;set vibrato-byte into fx01 & set effects (arp, etc)
	ld	(ix+fx01),a		;
	ld	b,0
	ld	hl,soundfix+$02
	add	hl,bc
	ld	a,(hl)		;set vibdelay into fx02
	ld	(ix+fx02),a		;
	
NONEWG1	ld	b,0
	ld	hl,soundfix+$03
	add	hl,bc
	ld	a,(hl)		;set effect-values into fx03	
	ld	(ix+ -2*4 /*fx03*/ ),a		; M bugfix: overflowed signed 8-bit range

	ld	a,e
	cp	$03
	jp	z,ITSFOR4

	ld	c,(ix+realnote)	;Read realnote as index
	ld	b,0
	ld	hl,frqtable
	add	hl,bc
	add	hl,bc
	ld	a,(hl)	 	;Low-frequency read	 <bit 7-0>
	ld	(ix+lofrqwrd),a	;
	inc	hl
	ld	a,(hl)
        	ld	(ix+hifrqwrd),a	;HF set
	jp	PAUSEX1

ITSFOR4	ld	a,(ix+realnote)
	ld	(ix+lofrqwrd),a

PAUSEX1	ld	a,(ix+realleng)
       	ld	(ix+noteleng),a
	ret

FXPLAY1 	ld	a,(ix+noteinit)
	or	a
	jp	z,PLAYFXR

INTPLA1	ld	a,(ix+gldspeed)
	or	a
	jr	z,FXPLA12
	ld	c,a
	srl	a
	srl	a
	srl	a
	srl	a
	ld	(ix+glddelay),a
	ld	a,c
	and	$0f
	ld	(ix+gldspeed),a

	ld	a,(ix+realleng)
	sub	(ix+glddelay)
	ld	(ix+glddelay),a
	ld	a,(ix+realnote)
	sub	(ix+destnote)
	ld	(ix+glddirec),a

FXPLA12	xor	a
      	ld	(ix+ampindex),a
	ld	(ix+vibindex),a
       	ld	(ix+arpindex),a

	ld	a,(ix+fx02)
	srl	a
	srl	a
	srl	a
	srl	a
	ld	(ix+vibdelay),a
	ld	a,(ix+realleng)
	sub	(ix+vibdelay)
	jr	nc,REFIX01
	ld	a,(ix+fx01)
	and	$f0
	ld	(ix+fx01),a
	ld	a,(ix+realleng)	
REFIX01	ld	(ix+vibdelay),a
EXITIN1	jp	NOVIB01	

PLAYFXR	ld	a,(ix+realleng)	;Check if The REAL Notelength is 1
	cp	$1
	jp	z,+ ;$p1		;If So, Do NOT Cut Note Off At End

	ld	a,(ix+noteleng)
	cp	$01
	jp	nz,+ ;$P1
	ld	a,(ix+spdcount)	;!
	cp	$1		;!
	jp	nc,+ ;$p1		;!

	LD	A,(IX+amplitud)	;+ This FADE THE VOLUME  by formula x/2
	SRL	A		;+
	LD	(IX+amplitud),A	;+
	JP	NOAMPL1		;+

;	ld	(ix+amplitud),$00	; This would CUT VOLUME TO 00!
;	jp	NOAMPL1

+: ;$P1
	ld	a,(ix+ -2*4 /*fx03*/)		  ;amplitude routine ; M bugfix: overflowed signed 8-bit range
       	and	$7f			
       	ld	c,a
	ld	b,0
	ld	hl,amptabl
	add	hl,bc
	ld	a,(hl)
       	ld	(ssslo),a
	ld	b,0
	ld	hl,amptabh
	add	hl,bc
	ld	a,(hl)
       	ld	(ssshi),a

       	ld	c,(ix+ampindex)
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
 	cp	$fe
       	jr	z,NOAMPL1
       	ld	(ix+amplitud),a
       	inc	(ix+ampindex)
NOAMPL1	
	
GLIDE1	ld	c,(ix+gldspeed)	  	;glide routine
	ld	a,c
	or	a
	jr	z,NOGLD12
	ld	a,(ix+glddelay)
	cp	(ix+noteleng)
	jr	c,NOGLD12

	ld	c,(ix+glddirec)
	ld	a,c
	or	a
	jp	m,DOWNGL1

	ld	a,(ix+lofrqwrd)
	add	a,(ix+gldspeed)
	ld	(ix+lofrqwrd),a
	jr	nc,CHECKV1
       	inc	(ix+hifrqwrd)

CHECKV1	ld	c,(ix+destnote)
	ld	b,0
	ld	hl,frqtable
	add	hl,bc
	add	hl,bc
	sub	(hl)
	jr	c,NOGLD01
	jr	FROTER1

DOWNGL1	ld	a,(ix+lofrqwrd)
	sub	(ix+gldspeed)
	ld	(ix+lofrqwrd),a
	jr	nc,CHECKV2
	dec	(ix+hifrqwrd)

CHECKV2 	ld	c,(ix+destnote)
	ld	b,0
	ld	hl,frqtable
	add	hl,bc
	add	hl,bc
	sub	(hl)
	jr	nc,NOGLD01

FROTER1	ld	a,c
	ld	(ix+realnote),a
	ld	b,0
	ld	hl,frqtable
	add	hl,bc
	add	hl,bc
	ld	a,(hl)
       	ld	(ix+lofrqwrd),a
	inc	hl
       	ld	a,(hl)
       	ld	(ix+hifrqwrd),a

	xor	a
	ld	(ix+gldspeed),a
NOGLD01	jp	NOVIB01
NOGLD12


VIBRA01	ld	a,(ix+fx01)	 	  ;vibrato routine
	and	$0f
	jr	z,NOVIB01
	ld	a,(ix+vibdelay)
	cp	(ix+noteleng)
	jr	c,NOVIB01

	ld	a,(ix+fx01)
	and	$0f
	ld	c,a
	ld	b,0
	ld	hl,vibtabl-1
	add	hl,bc
	ld	a,(hl)
	ld	(ssslo),a
	ld	b,0
	ld	hl,vibtabh-1
	add	hl,bc
	ld	a,(hl)
	ld	(ssshi),a

	ld	c,(ix+vibindex)
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	cp	$80
	jr	nz,VIB01
	ld	c,$00
VIB01	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	or	a
	jp	p,UPVIBOS
	xor	$ff
	add	a,$01
	ld	(ssslo),a
	ld	a,(ix+lofrqwrd)
	ld	hl,ssslo
	sub	(hl)
	ld	(ix+lofrqwrd),a
	jr	nc,NOHIGH1
	dec	(ix+hifrqwrd)
NOHIGH1	jp	VIBNO01
       
UPVIBOS	ld	a,(ix+lofrqwrd)
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	add	a,(hl)
	ld	(ix+lofrqwrd),a
	jr	nc,NOHIGH2
       	inc	(ix+hifrqwrd)
NOHIGH2		
VIBNO01	inc	c
	ld	a,c
	ld	(ix+vibindex),a
NOVIB01

ARPEG01	ld	a,(ix+fx01)		;arpeggio routine
	and	$40		
	jp	z,NOARP01

	ld	a,(ix+fx01)		;ONLY USE WHEN MORE THAN $20 ARPS
	AND	A		;and	$80
	jp	P,ARPBANK1		;REQUIRED, OTHERWISE REMOVE !!!
	ld	A,$20		;ld c,20h
	add	A,(ix+arpnumbo)	;same
	LD	C,A		;**
	jp	ARPNRSET

ARPBANK1	ld	c,(ix+arpnumbo)
ARPNRSET	ld	b,0
	ld	hl,arptablo
	add	hl,bc
	ld	a,(hl)
	ld	(ssslo),a
	ld	b,0
	ld	hl,arptabhi
	add	hl,bc
	ld	a,(hl)
	ld	(ssshi),a
	ld	c,(ix+arpindex)
	ld	a,c
	or	a
	jr	nz,ARP01
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	ld	(ix+arpspeed),a
	inc	c
	jp	ARP02
ARP01	ld	a,(ix+arpspeed)
	sub	$10
	ld	(ix+arpspeed),a
	jp	p,ARPNO01

	ld	c,$00
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	ld	(ix+arpspeed),a
	ld	c,(ix+arpindex)
ARP02	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	cp	$ff
	jr	nz,ARP03
	ld	c,$00
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
	and	$0f
	ld	c,a
	inc	c
	ld	b,0
	ld	hl,(ssslo)
	add	hl,bc
	ld	a,(hl)
ARP03	cp	$fe
	jr	z,NOARP01
	jp	m,NORMA01
	add	a,(ix+realnote)
	ld	(ix+arponoto),a
NORMA01	and	$7f
	ld	(ix+arponoto),a
	inc	c
	ld	a,c
	ld	(ix+arpindex),a
ARPNO01	ld	a,e
	cp	$03
	jp	z,FOR4TOO
	ld	a,(ix+arponoto)
	jp	SETAN01	
FOR4TOO
	ld	a,(ix+arponoto)
	ld	(ix+lofrqwrd),a
	ret

SETAN01	ld	c,a
	ld	b,0
	ld	hl,frqtable
	add	hl,bc
	add	hl,bc
	ld	a,(hl)
	ld	(ix+lofrqwrd),a
	inc	hl
	ld	a,(hl)
	ld	(ix+hifrqwrd),a
NOARP01
	ret



; b = reg. no.  , c = reg. value
;
SETVDPREG	LD	A,B
	AND	%00001111
	OR	%10000000
	LD	B,A
	JP	WRITEVDP

; a = col.  , c = ink no (0-31)
;
SETCOLRAM	PUSH	AF

	LD	A,C
	AND	%00011111
	LD	C,A
	LD	B,%11000000
	CALL	WRITEVDP

	POP	AF

	AND	%00111111
	OUT	(VDPDATA),A
	NOP
	NOP
	NOP

	RET

; de = vram adr
;
SETWVRAM	LD	C,E
	LD	A,D
	AND	%00111111
	OR	%01000000
	LD	B,A
	JP	WRITEVDP

SETRVRAM	LD	C,E
	LD	A,D
	AND	%00111111
	LD	B,A
	JP	WRITEVDP


; b/c = 2nd/1st bytes output to vdp chip to select function
;
WRITEVDP	LD	A,C
	OUT	(VDPCOM),A
	JP	+ ;$+3
+:	LD	A,B
	OUT	(VDPCOM),A
	NOP

	RET

GKEYS	;jp	gkeys2

	IN	A,(JOYPORT1)
	LD	E,0

	BIT	0,A
	JR	NZ,+ ;$1
	SET	0,E		; up
+:/*$1*/	BIT	3,A
	JR	NZ,+ ;$2
	SET	1,E		; right
+:/*$2*/	BIT	1,A
	JR	NZ,+ ;$3
	SET	2,E		; down
+:/*$3*/	BIT	2,A
	JR	NZ,+ ;$4
	SET	3,E		; left
+:/*$4*/	BIT	4,A
	JR	NZ,+ ;$5
	SET	4,E		; fire1
+:/*$5*/	BIT	5,A
	JR	NZ,+ ;$6
	SET	5,E		; fire2

+:/*$6*/	LD	A,E
	LD	(KEYS),A
	RET

GKEYS2	IN	A,(JOYPORT1)
	LD	E,0

	BIT	6,A
	JR	NZ,+ ;$1
	SET	0,E		; up
+:/*$1*/	BIT	7,A
	JR	NZ,+ ;$2
	SET	2,E		; down
+:/*$2*/	IN	A,(JOYPORT2)
	BIT	1,A
	JR	NZ,+ ;$3
	SET	1,E		; right
+:/*$3*/	BIT	0,A
	JR	NZ,+ ;$4
	SET	3,E		; left
+:/*$4*/	BIT	2,A
	JR	NZ,+ ;$5
	SET	4,E		; fire1
+:/*$5*/	BIT	3,A
	JR	NZ,+ ;$6
	SET	5,E		; fire2

+:/*$6*/	LD	A,E
	LD	(KEYS),A
	RET


SETCOLOURS	LD	BC,32		; copy palet to PALET, for gen. use
	LD	DE,PALET
	LDIR

SETCOL1	LD	HL,PALET
	LD	D,32

-:/*$1*/	LD	A,D
	SUB	32
	NEG
	LD	C,A
	LD	A,(HL)
	CALL	SETCOLRAM

	INC	HL
	DEC	D
	JP	NZ,- ;$1

	RET

SET1COLOUR	LD	BC,32	; copy palet to PALET, for ONECOL use
	LD	DE,PALET
	LDIR

	LD	HL,PALET
	LD	D,32

-:/*$7*/	LD	A,D
	SUB	32
	NEG
	LD	C,A
	LD	A,(HL)
	CALL	SETCOLRAM

	INC	HL
	DEC	D
;	JP	NZ,- ;$7

	RET


VBLANK	PUSH	AF

	XOR	A
	LD	(INTFLAG),A

-:/*$1*/	LD	A,(INTFLAG)
	BIT	7,A
	JP	Z,- ;$1

	POP	AF

	RET



CLS	LD	HL,$0000

CLS1	DI

	LD	DE,$3800+$0000
	CALL	SETWVRAM

	LD	BC,32*25

-:/*$1*/	LD	A,L
	OUT	(VDPDATA),A
	CP	(HL)
	CP	(HL)
	CP	(HL)
	LD	A,H
	OUT	(VDPDATA),A
	CP	(HL)
	DEC	BC
	LD	A,B
	OR	C
	JP	NZ,- ;$1

	EI
	RET


VRAMLDIR	DI
	PUSH	BC
	CALL	SETWVRAM
	POP	BC

-:/*$1*/	LD	A,(HL)
	OUT	(VDPDATA),A
	INC	HL
	DEC	BC
	LD	A,B
	OR	C
	JP	NZ,- ;$1

	EI
	RET


INCNUM	PUSH	IX

	PUSH	HL
	POP	IX
	LD	A,(IX+0)
	LD	H,(IX+1)
	LD	L,(IX+2)
	ADD	HL,DE
	ADC	A,0
	LD	(IX+0),A
	LD	(IX+1),H
	LD	(IX+2),L

	POP	IX
	RET

; entry a  = no. digits
;       de = scr adr
;       hl = number data
;
DNUMBER	DI
	PUSH	AF
	LD	(CHRPOS),DE
	CALL	SETWVRAM
	POP	DE
	LD	A,6
	SUB	D
	LD	D,0
	LD	E,A
	LD	IX,DIGITS
	PUSH	DE

	LD	A,(HL)			; CALCULATE DIGITS !!!
	INC	HL
	LD	D,(HL)
	INC	HL
	LD	L,(HL)
	LD	H,D

	LD	C,1
	LD	DE,34464		; 100,000
	CALL	DNUM1
	LD	C,0
	LD	DE,10000
	CALL	DNUM1
	LD	DE,1000
	CALL	DNUM1
	LD	DE,100
	CALL	DNUM1
	LD	E,10
	CALL	DNUM1
	LD	(IX+0),L

; bugfix: needs a $ff terminator    ; M
    ld d,-1                         ; M
    ld (ix+1),d                     ; M


	POP	DE
	LD	IX,DIGITS
	ADD	IX,DE

-:/*$1*/	LD	A,(IX+0)
	CP	-1
	JP	Z,+ ;$EXIT
	ADD	A,'0'
	CALL	CHAR
	INC	IX
	JP	- ;$1

+:/*$EXIT*/	EI
	RET

DNUM1	LD	B,0
-:/*$2*/	OR	A
	SBC	HL,DE
	SBC	A,C
	JP	C,+ ;$3
	INC	B
	JP	- ;$2
+:/*$3*/	ADD	HL,DE
	ADC	A,C
	LD	(IX+0),B
	INC	IX
	RET


PRS	LD	A,(IX+0)
	CP	-1
	RET	Z
	OR	A
	JP	Z,+ ;$1
	CP	1
	JP	Z,++ ;$2
	CALL	CHAR
	INC	IX
	JP	PRS

+:/*$1*/	INC	IX
	LD	H,(IX+1)
	LD	L,0
	LD	D,L
	SRL	H
	RR	L
	SRL	H
	RR	L
	LD	E,(IX+0)
	SLA	E
	ADD	HL,DE
	LD	DE,$3800
	ADD	HL,DE
	LD	(CHRPOS),HL
	INC	IX
	INC	IX
	JP	PRS

++:/*$2*/	INC	IX
	JP	PRS

CHAR	DI

	LD	HL,CHRCONVTAB
	SUB	32
	LD	E,A
	LD	D,0
	ADD	HL,DE

	LD	DE,(CHRPOS)
	CALL	SETWVRAM

	LD	A,(HL)
	OUT	(VDPDATA),A
	CP	(HL)
	CP	(HL)
	LD	A,0
	OUT	(VDPDATA),A

	LD	HL,(CHRPOS)
	INC	HL
	INC	HL
	LD	(CHRPOS),HL

	EI
	RET


BLACKPALET	/*DEFS*/
.dsb	2*16,BLACK

TEXTPALET	.INCBIN /*C:\JEROEN\SEGAMS\FONTS\*/ "JEROEN.PAL"

RASTPALET0	.DB	PINK
RASTPALET1	.DB	RED2
RASTPALET2	.DB	RED1
RASTPALET3	.DB	RED0

/*
PALET	.DB	BLACK,WHITE2,WHITE1,WHITE0,BLACK,BLUE4,BLUE3,BLUE2
	.DB	YELLOW2,ORANGE,RED1,GREEN1,GREEN0
	.DB	WHITE2,WHITE2,WHITE1

	.DB	BLACK,WHITE2,WHITE1,WHITE0,BLACK,BLUE5,BLUE4,BLUE3
	.DB	YELLOW2,ORANGE,RED1,GREEN3,GREEN0
	.DB	GREEN1,GREEN0,GREEN0
*/


;----------------------------------------------------------------------------------------------------------------------
frqtable
		.dW	$03f5,$03bd,$0387 ;1
		.dW	$0356,$0325,$02f8,$02cd,$02a5,$027f,$025b,$023a,$0219,$01fb,$01de,$01c3 ;2
		.dW	$01aa,$0192,$017b,$0166,$0152,$013f,$012d,$011c,$010c,$00fd,$00ef,$00e1 ;3
		.dW	$00d4,$00c9,$00bd,$00b3,$00a9,$009f,$0096,$008e,$0086,$007e,$0077,$0070 ;4
		.dW	$006a,$0064,$005e,$0059,$0054,$004f,$004a,$0047,$0042,$003e,$003b,$0038 ;5
		.dW	$0035,$0031,$002e,$002c,$0029,$0027,$0025,$0023,$0021,$001f,$001d,$001b ;6
		.dW	$001a,$0019,$0018,$0016,$0015,$0014,$0013,$0012,$0011,$0010,$000f,$000e ;7
;----------------------------------------------------------------------------------------------------------------------

;==============================================================
; Part 1 (1.PDS)
;==============================================================


****************************************
*	MUSIC DATA
****************************************


sfxtab0	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$0C,$0f,$13,$17,$1B
	.DB	$1F,$23,$27,$2B,$2E,$31,$34,$37
	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00

sfxtab1	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$0D,$10,$14,$18,$1C
	.DB	$20,$24,$28,$2C,$2F,$32,$35,$38
	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00

sfxtab2	.DB	$01,$02,$03,$04,$05,$06,$07,$08
	.DB	$09,$0a,$0b,$0e,$11,$15,$19,$1D
	.DB	$21,$25,$29,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00

sfxtab3	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$12,$16,$1A,$1E
	.DB	$22,$26,$2A,$2D,$30,$33,$36,$39
	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00
	.DB	$00,$00,$00,$00,$00,$00,$00,$00

				; lda ldx
AUDTABLE	.DW	CLEARAUD		; $00 $xx
	.DW	RIGGSDIES2		;	$01	$02
	.DW	MURTADIES2		;	$02	$02
	.DW	PLSWITHCH2		;	$03	$02
	.DW	COLLECTEV2		;	$04	$02
	.DW	COLLPOINT2		;	$05	$02
	.DW	PLAYJUMPS2		;	$06	$02
	.DW	PLAYSKIDS2		;	$07	$02
	.DW	PLAYBOUNC2		;	$08	$02
	.DW	RIGGSKICK2		;	$09	$02
	.DW	MURTSHOOT2		;	$0a	$02
	.DW	ENEMYSHOT2		;	$0b	$02
	.DW	PAUSEMODE0		;	$0c	$00
	.DW	PAUSEMODE1		;	$0d	$01
	.DW	PAUSEMODE2		;	$0e	$02
	.DW	TITLE0		;	$0f	$00
	.DW	TITLE1		;	$10	$01
	.DW	TITLE2		;	$11	$02
	.DW	TITLE3		;	$12	$03
	.DW	GAMEOVER0		;	$13	$00
	.DW	GAMEOVER1		;	$14	$01
	.DW	GAMEOVER2		;	$15	$02
	.DW	GAMEOVER3		;	$16	$03
	.DW	GAMECOMP0		;	$17	$00
	.DW	GAMECOMP1		;	$18	$01
	.DW	GAMECOMP2		;	$19	$02
	.DW	GAMECOMP3		;	$1a	$03
	.DW	LEVELSTRT0		;	$1b	$00
	.DW	LEVELSTRT1		;	$1c	$01
	.DW	LEVELSTRT2		;	$1d	$02
	.DW	LEVELSTRT3		;	$1e	$03
	.DW	CONTSCRN0		;	$1f	$00
	.DW	CONTSCRN1		;	$20	$01
	.DW	CONTSCRN2		;	$21	$02
	.DW	CONTSCRN3		;	$22	$03
	.DW	GAMEMAP0		;	$23	$00
	.DW	GAMEMAP1		;	$24	$01
	.DW	GAMEMAP2		;	$25	$02
	.DW	GAMEMAP3		;	$26	$03
	.DW	LEVELCMP0		;	$27 $00
	.DW	LEVELCMP1		;	$28 $01
	.DW	LEVELCMP2		;	$29 $02
	.DW	LEVELCMP3		;	$2a $03
	.DW	LEVEL10		;	$2b	$00
	.DW	LEVEL11		;	$2c	$01
	.DW	LEVEL13		;	$2d	$03
	.DW	LEVEL20		;	$2e	$00
	.DW	LEVEL21		;	$2f	$01
	.DW	LEVEL23		;	$30	$03
	.DW	LEVEL30		;	$31	$00
	.DW	LEVEL31		;	$32	$01
	.DW	LEVEL33		;	$33	$03
	.DW	LEVEL40		;	$34	$00
	.DW	LEVEL41		;	$35	$01
	.DW	LEVEL43		;	$36	$03
	.DW	LEVEL50		;	$37	$00
	.DW	LEVEL51		;	$38	$01
	.DW	LEVEL53		;	$39	$03

seqtabes	.DB	$00,$00		; $00 $xx
	.DB	$02,$02 		; $01 $02
	.DB	$02,$02 		; $02 $02
	.DB	$02,$02 		; $03 $02
	.DB	$02,$02 		; $04 $02
	.DB	$02,$02 		; $05 $02
	.DB	$02,$02 		; $06 $02
	.DB	$02,$02 		; $07 $02
	.DB	$02,$02 		; $08 $02
	.DB	$02,$02 		; $09 $02
	.DB	$02,$02 		; $0a $02
	.DB	$02,$02 		; $0b $02
	.DB	$02,$02 		; $0c $00
	.DB	$02,$02 		; $0d $01
	.DB	$02,$02 		; $0e $02
	.DB	$02,$02 		; $0f $00
	.DB	$02,$02 		; $10 $01
	.DB	$02,$02		; $11 $02
	.DB	$02,$02		;	$12 $03
	.DB	$02,$02		;	$13 $00
	.DB	$02,$02		;	$14 $01
	.DB	$02,$02		;	$15 $02
	.DB	$02,$02		;	$16 $03
	.DB	$02,$02		;	$17 $00
	.DB	$02,$02		;	$18 $01
	.DB	$02,$02		;	$19 $02
	.DB	$02,$02		;	$1a $03
	.DB	$02,$02		;	$1b $00
	.DB	$02,$02		;	$1c $01
	.DB	$02,$02		;	$1d $02
	.DB	$02,$02		;	$1e $03
	.DB	$01,$01		;	$1f $00
	.DB	$01,$01		;	$20 $01
	.DB	$01,$01		;	$21 $02
	.DB	$01,$01		;	$22 $03
	.DB	$02,$02		;	$23 $00
	.DB	$02,$02		;	$24 $01
	.DB	$02,$02		;	$25 $02
	.DB	$02,$02		;	$26 $03
	.DB	$02,$02		;	$27 $00
	.DB	$02,$02		;	$28 $01
	.DB	$02,$02		;	$29 $02
	.DB	$02,$02		;	$2a $03
	.DB	$02,$02		;	$2b $00
	.DB	$02,$02		;	$2c $01
	.DB	$02,$02		;	$2d $03
	.DB	$02,$02		;	$2e $00
	.DB	$02,$02		;	$2f $01
	.DB	$02,$02		;	$30 $03
	.DB	$02,$02		;	$31 $00
	.DB	$02,$02		;	$32 $01
	.DB	$02,$02		;	$33 $03
	.DB	$02,$02		;	$34 $00
	.DB	$02,$02		;	$35 $01
	.DB	$02,$02		;	$36 $03
	.DB	$02,$02		;	$37 $00
	.DB	$02,$02		;	$38 $01
	.DB	$02,$02		;	$39 $03

stptablo
	.DB	<s00,<s01,<s02,<s03,<s04,<s05,<s06,<s07,<s08,<s09,<s0a,<s0b,<s0c,<s0d,<s0e,<s0f
	.DB	<s10,<s11,<s12,<s13,<s14,<s15,<s16,<s17,<s18,<s19,<s1a,<s1b,<s1c,<s1d,<s1e,<s1f
	.DB	<s20,<s21,<s22,<s23,<s24,<s25,<s26,<s27,<s28,<s29,<s2a,<s2b,<s2c,<s2d,<s2e,<s2f
	.DB	<s30,<s31,<s32,<s33,<s34,<s35,<s36,<s37,<s38,<s39,<s3a,<s3b,<s3c,<s3d,<s3e,<s3f
	.DB	<s40,<s41,<s42,<s43,<s44,<s45,<s46,<s47,<s48,<s49,<s4a,<s4b,<s4c,<s4d,<s4e,<s4f
	.DB	<s50,<s51,<s52,<s53,<s54,<s55,<s56,<s57,<s58,<s59,<s5a,<s5b,<s5c,<s5d,<s5e,<s5f
	.DB	<s60,<s61,<s62,<s63,<s64,<s65,<s66,<s67,<s68,<s69,<s6a,<s6b,<s6c,<s6d,<s6e,<s6f
	.DB	<s70,<s71,<s72,<s73,<s74,<s75,<s76,<s77,<s78,<s79,<s7a,<s7b,<s7c,<s7d,<s7e,<s7f

stptabhi	.DB	>s00,>s01,>s02,>s03,>s04,>s05,>s06,>s07,>s08,>s09,>s0a,>s0b,>s0c,>s0d,>s0e,>s0f
	.DB	>s10,>s11,>s12,>s13,>s14,>s15,>s16,>s17,>s18,>s19,>s1a,>s1b,>s1c,>s1d,>s1e,>s1f
	.DB	>s20,>s21,>s22,>s23,>s24,>s25,>s26,>s27,>s28,>s29,>s2a,>s2b,>s2c,>s2d,>s2e,>s2f
	.DB	>s30,>s31,>s32,>s33,>s34,>s35,>s36,>s37,>s38,>s39,>s3a,>s3b,>s3c,>s3d,>s3e,>s3f
	.DB	>s40,>s41,>s42,>s43,>s44,>s45,>s46,>s47,>s48,>s49,>s4a,>s4b,>s4c,>s4d,>s4e,>s4f
	.DB	>s50,>s51,>s52,>s53,>s54,>s55,>s56,>s57,>s58,>s59,>s5a,>s5b,>s5c,>s5d,>s5e,>s5f
	.DB	>s60,>s61,>s62,>s63,>s64,>s65,>s66,>s67,>s68,>s69,>s6a,>s6b,>s6c,>s6d,>s6e,>s6f
	.DB	>s70,>s71,>s72,>s73,>s74,>s75,>s76,>s77,>s78,>s79,>s7a,>s7b,>s7c,>s7d,>s7e,>s7f

amptabl	.DB	<am00,<am01,<am02,<am03,<am04,<am05,<am06,<am07
	.DB	<am08,<am09,<am0a,<am0b,<am0c,<am0d,<am0e,<am0f
	.DB	<am10,<am11,<am12,<am13,<am14,<am15,<am16,<am17
	.DB	<am18,<am19

amptabh	.DB	>am00,>am01,>am02,>am03,>am04,>am05,>am06,>am07
	.DB	>am08,>am09,>am0a,>am0b,>am0c,>am0d,>am0e,>am0f
	.DB	>am10,>am11,>am12,>am13,>am14,>am15,>am16,>am17
	.DB	>am18,>am19

vibtabl	.DB	<v01,<v02,<v03,<v04,<v05,<v06,<v07,<v08
vibtabh	.DB	>v01,>v02,>v03,>v04,>v05,>v06,>v07,>v08

arptablo 	.db 	<a00,<a01,<a02,<a03,<a04,<a05,<a06,<a07
	.DB	<a08,<a09,<a0a,<a0b,<a0c,<a0d,<a0e,<a0f
	.db 	<a10,<a11,<a12,<a13,<a14,<a15,<a16,<a17
	.DB	<a18,<a19,<a1a,<a1b,<a1c,<a1d,<a1e,<a1f
	.db 	<a20,<a21,<a22,<a23,<a24,<a25,<a26,<a27
	.DB	<a28,<a29,<a2a,<a2b,<a2c,<a2d,<a2e,<a2f

arptabhi	.db 	>a00,>a01,>a02,>a03,>a04,>a05,>a06,>a07
	.DB	>a08,>a09,>a0a,>a0b,>a0c,>a0d,>a0e,>a0f
	.db 	>a10,>a11,>a12,>a13,>a14,>a15,>a16,>a17
	.DB	>a18,>a19,>a1a,>a1b,>a1c,>a1d,>a1e,>a1f
	.db 	>a20,>a21,>a22,>a23,>a24,>a25,>a26,>a27
	.DB	>a28,>a29,>a2a,>a2b,>a2c,>a2d,>a2e,>a2f
;-----------------------------------------------------------------------------
am00
	.DB	8,9,10,13,15,15,15,15,15,15,15,15,15,15,15,15,14,14,14,14,14,14,14,13,13,13,12,12,12,11,11,11,10
	.DB	10,10,9,9,9,9,8,8,8,8,7,7,7,7,6,6,6,6,5,5,5,5,5,4,4,4,4,4,3
	.DB	2,2,2,2,1,1,1,1,0,0,0,0,$FE
am01
	.DB	7,8,9,10,11,12,13,14,15,15,15,15,15,15,14,15,14,15,14,15,14,14,14
	.DB	14,14,13,14,13,14,13,14,13,13,13,13,13,12,13,12,13,12,13,12,12,12,12,12,12,11,12,11,12
	.DB	11,11,11,11,10,10,10,10,9,9,9,9,9,8,8,8,8,8,8,7,7,7,7,7,7,6,6,6,6,6,6
	.DB	5,5,5,5,5,5,4,4,4,4,4,4,3,3,3,3,3,3,2,2,2,2,2,2,1,2,1,2,1,2
	.DB	1,1,1,1,1,1,0,1,0,1,0,1,0,1,$fe
am02
	.DB	12,11,9,8,$fe
am03
	.DB	12,11,9,8,8,7,7,6,6,6,5,5,5,4,5,4,4,4,3,4,3,3,3,2,3,2,3,2,2
	.DB	2,2,1,2,1,2,1,1,1,1,0,1,0,1,0,1,$fe
am04
	.DB	2,1,$fe
am05
	.DB	14,14,13,13,12,12,12,11,11,11,10,10,10,9,9,9,9
	.DB	8,8,8,8,7,7,7,7,6,6,6,6,5,6,5,5,5,5,4,5,4,4,4,4
	.DB	3,4,3,4,3,3,3,3,2,3,2,3,2,2,2,2,1,2,1,2,1
	.DB	$fe
am06
	.DB	15,14,13,12,11,10,9,8,7,6,5,4,4,3,3,3,2,2,2,1,1,1,0,$FE
am07
	.DB	12,13,14,15,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0,$fe
am08
	.DB	15,8,15,8,15,8,14,7,13,6,12,5,11,4,10,3,9,3,8,2,7,2,6,1,5,1,4,0,3,0
	.DB	2,0,1,0,$fe
am09
	.DB	15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,$FE
am0a
	.DB	15,15,14,14,13,13,12,12,11,11,10,10
	.DB	9,9,8,8,7,7,6,6,5,5,4,4,3,3,2,2,1,$FE
am0b
	.DB	15,13,11,10,$FE
am0c
	.DB	11,9,7,$FE
am0d
	.DB	11,10,9,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8
	.DB	8,8,8,8,8,8,8,7,8,7,8,7,7,7,7,6,7,6,7,6,6,6,6,5,6,5,6,5,5,5,5
	.DB	4,5,4,5,4,$FE
am0e
	.DB	15,13,11,9,7,5,3,1,$FE
am0f
	.DB	11,9,7,6,5,4,3,2,1,$FE
am10
	.DB	7,6,5,4,3,2,2,1,$FE
am11
	.DB	4,4,3,3,2,2,1,$FE
am12
	.DB	2,2,2,1,$FE
am13
	.DB	12,8,4,1,$FE
am14
	.DB	15,12,10,9,7,5,3,2,1,$FE
am15
	.DB	15,13,11,10,9,8,7,6,5,4,3,2,1,$FE
am16
	.DB	13,13,12,12,11,11,10,10,9,$FE
am17
	.DB	15,14,13,12,11,$FE
am18
	.DB	7,7,6,6,5,$FE
am19
	.DB	4,4,5,5,6,6,6,7,7,7,8,8,8,9,9,9,9
	.DB	8,8,8,8,7,7,7,7,6,6,6,6,5,6,5,5,5,5,4,5,4,4,4,4
	.DB	3,4,3,4,3,3,3,3,2,3,2,3,2,2,2,2,1,2,1,2,1
	.DB	$fe
;-----------------------------------------------------------------------------
v01
	.DB	$03,$03,$fd,$fd
	.DB	$fd,$fd,$03,$03
	.DB	$80
v02
	.DB	$02,$02,$02,$FE,$FE,$FE
	.DB	$FE,$FE,$FE,$02,$02,$02
	.DB	$80
v03
	.DB	$01,$01,$01,$ff,$ff,$ff
	.DB	$ff,$ff,$ff,$01,$01,$01
	.DB	$80
v04
	.DB	$02,$02,$01,$01,$FE,$FE,$FF,$FF
	.DB	$FE,$FE,$FF,$FF,$02,$02,$01,$01
	.DB	$80
v05
v06
v07
v08
;-----------------------------------------------------------------------------
a00	.DB	$00,7,7,3,3,0,0,$ff
a01	.DB	$00,7,7,4,4,0,0,$ff
a02	.DB	$00,8,8,5,5,0,0,$ff
a03	.db    $00,9,9,5,5,0,0,$ff
a04	.DB	$00,8,8,3,3,0,0,$ff
a05	.DB	$00,9,9,4,4,0,0,$ff
a06	.DB	$0c,4,2,7,5,10,9,13,11,16,14,13,11,9,7,8,6,7,5,6,4,5,3,4,2,3,1
	.DB	2,0,1,0,$ff
a07	.DB	$0f,0,3,6,9,12,14,16,18,20,19,18,19,17,18,15,17,14
	.DB	16,13,15,11,14,10,13,9,12,8,11,7,10,6,9,6,8,5,7,5,6,4,5,3,4,2
	.DB	3,1,2,0,1,0,$fe
a08	.DB	$0f,0,0,0,0,0,3,3,3,3,3,1,1,1,1,4,4,4,4,2,2,2,5,5,5
	.DB	3,3,3,6,6,6,4,4,7,7,5,8,6,9,8,11,10,13,11,14,12,12,15,15
	.DB	13,13,16,16,14,14,17,17,15,15,15,18,18,18,16,16,16,19,19,19
	.DB	17,17,17,20,20,20,18,18,18,21,21,21,19,19,19,19,22,22,22,22
	.DB	21,22,20,21,19,20,17,18,14,15,10,11,12,13,8,9,6,7,4,5,2,3,1,2
	.DB	0,1,0
	.DB	$fe
a09	.DB	$00,14,14,14,10,14,10,10,10,7,10,7,7,7,5,7,5,5,5,0,5,0,0,0,14,0
	.DB	$ff
a0a	.DB	$00,4,0,7,3,11,7,14,10,15,11,16,12,17,13
	.DB	18,14,19,15,20,16,21,17,22,18,$ff
a0b	.DB	$00,2,0,1,2,0,2,1,0,2,0,1,$ff
a0c	.DB	$00,1,0,1,0,1,0,1,0,2,1,3,2,4,3,5,4,6,5,7,6
	.DB	8,7,9,8,10,9,11,10,12,11,13,12,14,13
	.DB	$FE
a0d	.DB	$00,10,7,9,6,8,5,7,4,6,3,5,2,4,1,3,0,$FF
	.DB	$FF
a0e	.DB	$00,10,6,16,12,20,16,17,13,15,11,13,9,11,7,10,6
	.DB	9,5,8,4,7,3,6,2,5,1,5,1,$FE
a0f	.DB	$00,0,8,16,13,11,9,7,9,7,5,7,5,3,5,3,2,4,2,1,3,1,0,$FE
a10	.DB	$10,24,19,17,12,19,17,12,7,17,12,7,5,12,7,5,0,$FF
a11	.DB	$00,1,0,$FE
a12	.DB	$00,$8A,$88,$86,$84,$82,$00,$FE
a13	.DB	$00,$91,$8E,$8D,$8C,$00,$FE
a14	.DB	$00,0,0,0,0,1,0,1,1,1,1,2,1
	.DB	2,2,2,2,2,2,2,2,2,2,2,2,$FF
a15	.DB	0,0,0,1,1,1,2,$FE
a16	.DB	$00,12,12,12,0,$FE
a17	.DB	$00,0,$FE
a18	.DB	$00,10,10,5,5,0,0,$FF
a19	.DB	$00,8,5,3,2,1,0,$FF
a1a	.DB	$00
	.DB	2,2,2,2,2,2,2,2,2,2,1,2
	.DB	1,2,1,2,1,2,1,2,1,1,1,1
	.DB	1,1,1,1,1,1,0,1,0,1,0,1
	.DB	0,1,0,1,0,0,0,0,0,0,0,0
	.DB	$FF

a1b	.DB	$00,$20,$20,$1B,$20,$1B,$18,$1B,$18,$14,$18,$14,$0F,$14,$0F,$0C
	.DB	$08,$0C,$08,$03,$08,$03,$00,$03,$00
	.DB	$FF

a1c	.DB	$00,$21,$1D,$18,$1D,$18,$15,$18,$15,$11,$15,$11,$0C,$11,$0C
	.DB	$09,$0C,$09,$05,$09,$05,$00,$05,$00,$FF
a1d
	.DB	$00,0,0,0,0,0,0,1,1,1,1,1,1
	.DB	0,0,0,0,0,0,1,1,1,1,1,1
	.DB	0,0,0,0,0,0,1,1,1,1,1,1
	.DB	0,0,0,0,0,0,1,1,1,1,1,1
	.DB	0,0,0,1,1,1,3,3,3,4,4,4
	.DB	5,5,5,8,8,8,10,10,10,10
	.DB	$FF
a1e
	.DB	$00,0,2,6,8,7,6,5,4,3,2,1,1,0,$FE
a1f
	.db	$00,12,12,12,12,12,12,0,0,0,0,0,0,$ff
a20
a21
a22
a23
a24
a25
a26
a27
a28
a29
a2a
a2b
a2c
a2d
a2e
a2f
;-----------------------------------------------------------------------------
soundfix	;           ---/---,arp/vibtab,vibdel/---,amptab	

;Hysterical
		.DB	$00,$40,$00,$00	;c0
;Switch
		.DB	$00,$40,$00,$01	;c1
;LEAD
		.DB	$00,$03,$40,$02 ;c2
;LEADVIB
		.DB	$00,$03,$00,$02	;c3
;LEADVIBFADE
		.DB	$00,$03,$00,$03	;c4
;LEAD-soft
		.DB	$00,$00,$00,$04	;c5
;FADER-10
		.DB	$00,$40,$00,$05 ;c6
;FASTFADE
		.DB	$00,$40,$00,$06 ;c7
;VOLUPDOWN
		.DB	$00,$40,$00,$07 ;c8
;VOLUPDOWN
		.DB	$00,$40,$00,$08 ;c9
;FASTDOWN
		.DB	$00,$40,$00,$09 ;ca
;GUN
		.DB	$00,$40,$00,$0A ;cb
;BASS-LOUD
		.DB	$00,$40,$00,$0B ;cc
;BASS-SOFT
		.DB	$00,$40,$00,$0C ;cd
;BASSLOUNDVIB
		.DB	$00,$41,$10,$0B ;ce
;LEADER-MID
		.DB	$00,$42,$40,$0D ;cf
;CHOCK
		.DB	$00,$40,$00,$0E ;d0
;CHOCK-1
		.DB	$00,$40,$00,$0F ;d1
;CHOCK-2
		.DB	$00,$40,$00,$10 ;d2
;CHOCK-3
		.DB	$00,$40,$00,$11 ;d3
;CHOCK-4
		.DB	$00,$40,$00,$12 ;d4
;HIHATNOISE
		.DB	$00,$00,$00,$13 ;d5
;BDRUMNOISE
		.DB	$00,$00,$00,$14 ;d6
;SDRUMNOISE
		.DB	$00,$00,$00,$15 ;d7
;ARPCOMP
		.DB	$00,$40,$00,$16 ;d8
;LEADHARD!
		.DB	$00,$03,$40,$17 ;d9
;TOMTOM
		.DB	$00,$40,$00,$15 ;da
;LEADER-SOFT
		.DB	$00,$44,$40,$18 ;db
;FADER-UP&DO
		.DB	$00,$40,$00,$19 ;dc
;LEADHARDARP!
		.DB	$00,$40,$00,$17 ;dd
;LEADHARDVIB!
		.DB	$00,$03,$10,$17 ;de

LEVEL40
LEVEL41
LEVEL43

LEVEL50
LEVEL51
LEVEL53

LEVEL30
	.DB	$80,$6B,$6B,$6B,$6B,$6B
	.DB	$80,$72,$72
	.DB	$FF,$00
LEVEL31
	.DB	$27,$27,$27
	.DB	$80,$6d,$6e,$6f,$6e,$70
	.DB	$80,$71,$71
	.DB	$FF,$00
LEVEL33
	.DB	$80,$6C
	.DB	$FF,$00



s6b
	.DB	$CE,$84,$72,$05
	.DB	$CC,$84,$71,$05
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$05
	.DB	$CE,$84,$72,$05
	.DB	$CC,$84,$71,$05
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$00
	.DB	$CE,$84,$72,$01
	.DB	$CC,$84,$71,$01
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$01
	.DB	$CE,$84,$72,$01
	.DB	$CC,$84,$71,$01
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$03
	.DB	$CE,$84,$72,$05
	.DB	$CC,$84,$71,$05
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$05
	.DB	$CE,$84,$72,$05
	.DB	$CC,$84,$71,$05
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$00
	.DB	$CE,$84,$72,$01
	.DB	$CC,$84,$71,$01
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$01
	.DB	$CC,$82,$72,$01
	.DB	$CC,$82,$73,$01
	.DB	$CC,$84,$71,$01
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$03
	.DB	$FF
s6c
	.DB	$D6,$84,$05
	.DB	$D5,$82,$04,$04
	.DB	$D7,$84,$04
	.DB	$D5,$82,$04,$04
	.DB	$D6,$84,$05
	.DB	$D5,$82,$04,$04
	.DB	$D7,$84,$04
	.DB	$D5,$82,$04,$04
	.DB	$D6,$84,$05
	.DB	$D5,$82,$04,$04
	.DB	$D7,$84,$04
	.DB	$D5,$82,$04,$04
	.DB	$D6,$84,$05
	.DB	$D5,$82,$04,$04
	.DB	$D7,$84,$04
	.DB	$D5,$82,$04,$04
	.DB	$D6,$84,$05
	.DB	$D5,$82,$04,$04
	.DB	$D7,$84,$04
	.DB	$D5,$82,$04,$04
	.DB	$D6,$84,$05
	.DB	$D5,$82,$04,$04
	.DB	$D7,$84,$04
	.DB	$D5,$82,$04,$04
	.DB	$D6,$84,$05
	.DB	$D5,$82,$04,$04
	.DB	$D7,$84,$04
	.DB	$D5,$82,$04,$04
	.DB	$D6,$82,$05
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04,$04
	.DB	$D7,$84,$04
	.DB	$D5,$82,$04,$04
	.DB	$FF
s6d
	.DB	$F2
	.DB	$CF,$82,$76,$0A,$0C,$0F,$13,$14,$13,$0F
	.db	$ff
s6e
	.db	$cf,$82,$76
	.DB	$11,$0C,$0F,$11

	.DB	$DE,$84,$14
	.DB	$D9,$84,$14
	.DB	$DE,$84,$FD,$1F,$11,$13
	.DB	$D9,$84,$11
	.DB	$D9,$84,$0F
	.DB	$D9,$8C,$FD,$08,$11,$13
	.DB	$D9,$84,$14
	.DB	$D9,$84,$11,$CF,$82,$76,$18,$1B
	.DB	$D9,$84,$11
	.DB	$D9,$84,$13
	.DB	$D9,$84,$FD,$1F,$13,$14,$CF,$82,$76,$1B,$1D
	.DB	$D9,$84,$14
	.DB	$D9,$84,$FD,$1F,$13,$14
	.DB	$DE,$84,$16
	.DB	$D9,$84,$FD,$1F,$11,$13
	.DB	$D9,$84,$11
	.DB	$D9,$84,$0F
	.DB	$D9,$84,$FD,$1F,$0F,$11,$C5
	.DB	$D9,$84,$0B,$C5
	.DB	$DE,$88,$0A
	.DB	$D9,$84,$08
	.DB	$D9,$82,$0A
	.DB	$D9,$82,$0C
	.DB	$DE,$84,$08

	.DB	$D9,$82,$05
	.DB	$D9,$82,$11
	.DB	$D9,$84,$18
	.DB	$DE,$84,$FD,$1F,$16,$18
	.DB	$D9,$84,$18
	.DB	$DE,$84,$FD,$1F,$16,$18
	.DB	$D9,$84,$18
	.DB	$DE,$84,$19
	.DB	$D9,$84,$1B
	.DB	$D9,$84,$1D,$CF,$82,$76,$1B,$1D
	.DB	$D9,$84,$20,$CF,$82,$76,$18,$19
	.DB	$DE,$88,$FD,$1F,$1D,$1F
	.DB	$D9,$84,$1B
	.DB	$FF

s6f
	.DB	$D9,$98,$FD,$1F,$16,$18
	.DB	$D9,$84,$16,$14
	.DB	$DE,$88,$FD,$1F,$14,$16
	.DB	$D9,$84,$14
	.DB	$D9,$82,$16,$18
	.DB	$D9,$82,$14,$C5
	.DB	$D9,$82,$13,$C5
	.DB	$D9,$82,$0F
	.DB	$DE,$86,$0C

	.DB	$CF,$82,$76,$0C,$0F
	.DB	$FF
s70
	.DB	$D9,$A4,$FD,$1F,$1B,$1D

	.DB	$CF,$82,$76,$19,$18,$14,$11,$0D,$0C,$18,$14,$11,$0D,$0C
	.DB	$08,$07,$08,$07,$05
	.DB	$FF

;----REF

s71
	.DB	$CF,$82,$76,$0F,$11
	.DB	$D9,$84,$16
	.DB	$D9,$84,$FD,$1F,$14,$16
	.DB	$D9,$84,$16
	.DB	$D9,$84,$FD,$1F,$14,$16
	.DB	$D9,$84,$18
	.DB	$D9,$84,$19
	.DB	$D9,$84,$FD,$1F,$16,$18,$C5
	.DB	$D9,$84,$1C,$C5
	.DB	$DE,$88,$1D
	.DB	$D9,$84,$1F
	.DB	$CF,$82,$76,$19,$18,$16,$14
	.DB	$CF,$82,$16,$22

	.DB	$D9,$84,$16
	.DB	$D9,$84,$FD,$1F,$14,$16
	.DB	$D9,$84,$16
	.DB	$D9,$84,$FD,$1F,$14,$16
	.DB	$D9,$84,$18
	.DB	$D9,$84,$19
	.DB	$D9,$84,$FD,$1F,$16,$18,$C5
	.DB	$D9,$84,$1C,$C5
	.DB	$D9,$8C,$FD,$2F,$1C,$1D
	.DB	$DE,$88,$1F

	.DB	$D9,$8C,$FD,$1F,$20,$1F
	.DB	$D9,$8C,$1D
	.DB	$D9,$84,$1F
	.DB	$D9,$84,$20
	.DB	$D9,$88,$FD,$1F,$1D,$1F
	.DB	$D9,$84,$1D
	.DB	$DE,$88,$1B
	.DB	$D9,$82,$16,$18,$84,$1B,$1D
	.DB	$D9,$B0,$FD,$1F,$1B,$1D

	.DB	$CF,$82,$76,$14,$13,$84,$11
	.DB	$CF,$84,$76,$0C,$82,$0A,$08
	.DB	$FF
s72
	.DB	$CE,$84,$72,$0A
	.DB	$CC,$71,$0A
	.DB	$CC,$79,$08
	.DB	$CC,$71,$0A
	.DB	$CE,$72,$0A
	.DB	$CC,$71,$0A
	.DB	$CC,$79,$08
	.DB	$CC,$71,$01
	.DB	$CE,$72,$00
	.DB	$CC,$71,$00
	.DB	$CC,$79,$08
	.DB	$CC,$71,$00
	.DB	$CE,$72,$00
	.DB	$CC,$71,$00
	.DB	$CC,$79,$08
	.DB	$CC,$71,$08
	.DB	$CE,$72,$0A
	.DB	$CC,$71,$0A
	.DB	$CC,$79,$08
	.DB	$CC,$71,$0A
	.DB	$CE,$72,$0A
	.DB	$CC,$71,$0A
	.DB	$CC,$79,$08
	.DB	$CC,$71,$01
	.DB	$CE,$72,$00
	.DB	$CC,$71,$00
	.DB	$CC,$79,$08
	.DB	$CC,$71,$00
	.DB	$CC,$82,$72,$00
	.DB	$CC,$82,$73,$00
	.DB	$CC,$84,$71,$00
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$03

	.DB	$CE,$84,$72,$01
	.DB	$CC,$84,$71,$01
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$01
	.DB	$CE,$84,$72,$01
	.DB	$CC,$84,$71,$01
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$02
	.DB	$CE,$84,$72,$03
	.DB	$CC,$84,$71,$03
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$03
	.DB	$CE,$84,$72,$03
	.DB	$CC,$84,$71,$03
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$04
	.DB	$CE,$84,$72,$05
	.DB	$CC,$84,$71,$05
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$05
	.DB	$CE,$84,$72,$05
	.DB	$CC,$84,$71,$05
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$05
	.DB	$CE,$84,$72,$05
	.DB	$CC,$84,$71,$05
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$05
	.DB	$CC,$82,$72,$05
	.DB	$CC,$82,$73,$05
	.DB	$CC,$84,$71,$05
	.DB	$CC,$84,$79,$08
	.DB	$CC,$84,$71,$0A
	.DB	$FF
s73
s74
s75
s76
s77
s78
s79
s7a
s7b
s7c
s7d
s7e
s7f

	.DB	$F0,$F0,$F0,$F0,$F0,$F0,$F0,$F0
	.DB	$F0,$F0,$F0,$F0,$F0,$F0,$F0,$F0
	.DB	$FF
	.DB	$F0,$FF

;==============================================================
; Part 2 (2.PDS)
;==============================================================

RIGGSDIES2	.DB	$01,$FE

s01	.DB	$c0,$98,$66,$04
	.DB	$ff

MURTADIES2	.DB	$02,$FE

s02	.DB	$c0,$91,$67,$00,$E1
	.DB	$ff

PLSWITHCH2	.DB	$03,$FE

s03	.DB	$c1,$ac,$68,$0e,$E1
	.DB	$ff

COLLECTEV2	.DB	$04,$FE

s04	.DB	$c3,$84,$1d
	.DB	$c2,$82,$1f,$c5,$1d
	.DB	$c3,$84,$22
	.DB	$c2,$82,$1f,$c5,$22
	.DB	$c2,$84,$fd,$2f,$24,$25
	.DB	$c2,$82,$26
	.DB	$c2,$84,$fd,$2f,$25,$26
	.DB	$c2,$82,$29
	.DB	$c2,$82,$2E
	.DB	$c2,$82,$29
	.DB	$c3,$84,$FD,$1F,$29,$2B,$c5,$82
	.DB	$c3,$84,$FD,$1F,$26,$28,$c5,$82
	.DB	$c4,$94,$FD,$1F,$28,$29,$E1
	.DB	$ff

COLLPOINT2	.DB	$05,$FE

s05	.DB	$c6,$98,$69,$1b
	.DB	$ff

PLAYJUMPS2	.DB	$06,$FE

s06	.DB	$c7,$88,$6a,$00
	.DB	$ff

PLAYSKIDS2	.DB	$07,$FE

s07	.DB	$C8,$86,$6B,$1E,$E1
	.DB	$FF

PLAYBOUNC2	.DB	$08,$FE

s08	.DB	$C9,$8B,$6C,$08
	.DB	$FF

RIGGSKICK2	.DB	$09,$FE

s09	.DB	$CA,$85,$6D,$00,$E1
	.DB	$FF

MURTSHOOT2	.DB	$0A,$FE

s0a	.DB	$CB,$8A,$6E,$00,$E1
	.DB	$FF

ENEMYSHOT2	.DB	$0B,$FE

s0b	.DB	$CB,$87,$6F,$00,$E1
	.DB	$FF

PAUSEMODE0	.DB	$0C,$FE
PAUSEMODE1	.DB	$0D,$0C,$FE
PAUSEMODE2	.DB	$0D,$0D,$0C,$FE

s0c	.DB	$C1,$AB,$70,$0C
	.DB	$FF
s0d
	.DB	$E1
	.DB	$FF
;--------------------------------------------------- TITLE -------------------

TITLE0
	.DB	$80,$0E		;INTRO
	.DB	$84,$15		;MAIN
	.DB	$84,$19		;SUB1
	.DB	$84,$1E		;BREAK
	.DB	$84,$15		;MAIN
	.DB	$84,$19		;SUB1
	.DB	$84,$1E		;BREAK
	.DB	$84,$20		;SOLO
	.DB	$84,$15		;MAIN
	.DB	$84,$15		;MAIN
	.DB	$84,$19		;SUB1
	.DB	$84,$1E		;BREAK
	.DB	$FF,$00

TITLE1
	.DB	$80,$0F		;INTRO
	.DB	$84,$16		;MAIN
	.DB	$84,$1A		;SUB1
	.DB	$84,$1F		;BREAK
	.DB	$84,$16		;MAIN
	.DB	$84,$1A		;SUB1
	.DB	$84,$1F		;BREAK
	.DB	$84,$21		;SOLO
	.DB	$84,$16		;MAIN
	.DB	$84,$16		;MAIN
	.DB	$84,$1A		;SUB1
	.DB	$84,$1F		;BREAK
	.DB	$FF,$00

TITLE2
	.DB	$80,$10		;INTRO
	.DB	$80,$12,$12		;MAIN
	.DB	$80,$17,$1b		;SUB1
	.DB	$80,$1C		;BREAK
	.DB	$80,$12,$12		;MAIN
	.DB	$80,$17,$1b		;SUB1
	.DB	$80,$1C		;BREAK
	.DB	$80,$22,$23,$24	;SOLO
	.DB	$80,$12,$12		;MAIN
	.DB	$80,$12,$12		;MAIN
	.DB	$80,$17,$1b		;SUB1
	.DB	$80,$1C		;BREAK
	.DB	$FF,$00

TITLE3
	.DB	$80,$11		;INTRO
	.DB	$80,$13,$14,$13,$14	;MAIN
	.DB	$80,$13,$18,$13,$18	;SUB1
	.DB	$80,$13,$1D		;BREAK
	.DB	$80,$13,$14,$13,$14	;MAIN
	.DB	$80,$13,$18,$13,$18	;SUB1
	.DB	$80,$13,$1D		;BREAK
	.DB	$80,$13,$13,$13,$13	;SOLO
	.DB	$80,$13,$18		;SOLO
	.DB	$80,$13,$14,$13,$14	;MAIN
	.DB	$80,$13,$14,$13,$14	;MAIN
	.DB	$80,$13,$18,$13,$18	;SUB1
	.DB	$80,$13,$1D		;BREAK
	.DB	$FF,$00

s0e
	.DB	$CE,$84,$71,$04,$CD,$CD
	.DB	$CC,$84,$04,$CD
	.DB	$CC,$84,$04,$CD
	.DB	$CC,$84,$04
	.DB	$CE,$84,$04,$CD,$CD
	.DB	$CC,$84,$04,$CD
	.DB	$CC,$84,$04,$CD
	.DB	$CC,$84,$04
	.DB	$CE,$84,$00,$CD,$CD
	.DB	$CC,$84,$00,$CD
	.DB	$CC,$84,$00,$CD
	.DB	$CC,$84,$00
	.DB	$CE,$84,$03,$CD,$CD
	.DB	$CC,$84,$03,$CD
	.DB	$CC,$84,$03,$CD
	.DB	$CC,$84,$03
	.DB	$CE,$84,$71,$04,$CD,$CD
	.DB	$CC,$84,$04,$CD
	.DB	$CC,$84,$04,$CD
	.DB	$CC,$84,$04
	.DB	$CE,$84,$04,$CD,$CD
	.DB	$CC,$84,$04,$CD
	.DB	$CC,$84,$04,$CD
	.DB	$CC,$84,$04
	.DB	$CE,$84,$00,$CD,$CD
	.DB	$CC,$84,$00,$CD
	.DB	$CC,$84,$00,$CD
	.DB	$CC,$84,$00
	.DB	$CE,$84,$03,$CD,$CD
	.DB	$CC,$84,$03,$CD
	.DB	$CC,$84,$03
	.DB	$CC,$82,$73,$03,$03,$03,$03
	.DB	$FF
s0f
	.DB	$CF,$98,$76,$10
	.DB	$CF,$82,$10,$13,$12,$0E
	.DB	$CF,$A0,$10
	.DB	$CF,$A0,$10
	.DB	$CF,$90,$13
	.DB	$CF,$8E,$12,$81,$13,$12
	.DB	$CF,$98,$10
	.DB	$CF,$82,$10,$13,$12,$0E
	.DB	$CF,$A0,$10
	.DB	$CF,$A0,$10
	.DB	$CF,$90,$0F
	.DB	$CF,$90,$12
	.DB	$FF
s10
	.DB	$E8,$DB
	.DB	$98,$76,$10
	.DB	$82,$10,$13,$12,$0E
	.DB	$A0,$10
	.DB	$A0,$10
	.DB	$90,$13
	.DB	$8E,$12,$81,$13,$12
	.DB	$98,$10
	.DB	$82,$10,$13,$12,$0E
	.DB	$90,$10

	.DB	$CF,$82,$76,$13,$17,$1A,$17
	.DB	$98,$18,$84,$17,$15,$90,$12,$17
	.DB	$FF
s11
	.DB	$C6,$A0,$74,$04
	.DB	$D0,$86,$75,$04,$D1,$D2,$D3,$D4,$D4,$82
	.DB	$dc,$A0,$7A,$04
	.DB	$D0,$84,$75,$04,$D0,$82
	.DB	$D1,$84,$D1,$82
	.DB	$D2,$84,$D2,$82
	.DB	$D3,$84,$D3,$82
	.DB	$D4,$84,$D4,$82,$D4

	.DB	$C6,$A0,$74,$04
	.DB	$D0,$86,$75,$04,$D1,$D2,$D3,$D4,$D4,$82
	.DB	$dc,$A0,$7A,$04
	.DB	$F0,$E8
	.DB	$D7,$82,$04,$04,$04,$04
	.DB	$FF
s12
	.DB	$CC
	.DB	$84,$72,$04
	.DB	$82,$71,$04
	.DB	$82,$71,$04
	.DB	$82,$73,$02
	.DB	$82,$71,$04
	.DB	$82,$72,$06
	.DB	$82,$71,$07
	.DB	$84,$72,$04
	.DB	$82,$71,$04
	.DB	$82,$72,$06
	.DB	$82,$73,$07
	.DB	$82,$71,$06
	.DB	$82,$72,$05
	.DB	$82,$71,$02

	.DB	$84,$72,$00
	.DB	$82,$71,$00
	.DB	$82,$71,$02
	.DB	$82,$73,$04
	.DB	$82,$71,$02
	.DB	$82,$72,$00
	.DB	$82,$71,$02
	.DB	$84,$72,$00
	.DB	$82,$71,$00
	.DB	$82,$72,$02
	.DB	$82,$73,$04
	.DB	$82,$71,$02
	.DB	$82,$72,$00
	.DB	$82,$71,$01

	.DB	$84,$72,$03
	.DB	$82,$71,$03
	.DB	$82,$71,$04
	.DB	$82,$73,$06
	.DB	$82,$71,$03
	.DB	$82,$72,$04
	.DB	$82,$71,$06
	.DB	$84,$72,$03
	.DB	$82,$71,$03
	.DB	$82,$72,$04
	.DB	$82,$73,$06
	.DB	$82,$71,$03
	.DB	$82,$72,$04
	.DB	$82,$71,$06

	.DB	$84,$72,$04
	.DB	$82,$71,$04
	.DB	$82,$71,$06
	.DB	$82,$73,$07
	.DB	$82,$71,$04
	.DB	$82,$72,$06
	.DB	$82,$71,$02
	.DB	$84,$72,$04
	.DB	$84,$73,$06
	.DB	$84,$73,$07
	.DB	$82,$73,$09
	.DB	$82,$73,$0B
	.DB	$FF
s13
	.DB	$D6,$84,$06
	.DB	$D5,$82,$05
	.DB	$D5,$82,$05
	.DB	$D7,$84,$04
	.DB	$D6,$84,$06
	.DB	$D6,$84,$06
	.DB	$D5,$82,$05
	.DB	$D5,$82,$05
	.DB	$D7,$84,$04
	.DB	$D5,$82,$05
	.DB	$D5,$82,$05
	.DB	$D6,$84,$06
	.DB	$D5,$82,$05
	.DB	$D5,$82,$05
	.DB	$D7,$84,$04
	.DB	$D6,$84,$06
	.DB	$D6,$84,$06
	.DB	$D5,$82,$05
	.DB	$D6,$82,$06
	.DB	$D7,$84,$04
	.DB	$D5,$82,$05
	.DB	$D5,$82,$05
	.DB	$FF
s14
	.DB	$D6,$84,$06
	.DB	$D5,$82,$05
	.DB	$D5,$82,$05
	.DB	$D7,$84,$04
	.DB	$D6,$84,$06
	.DB	$D6,$84,$06
	.DB	$D5,$82,$05
	.DB	$D5,$82,$05
	.DB	$D7,$84,$04
	.DB	$D5,$82,$05
	.DB	$D5,$82,$05
	.DB	$D6,$84,$06
	.DB	$D5,$82,$05
	.DB	$D5,$82,$05
	.DB	$D7,$84,$04
	.DB	$D6,$84,$06
	.DB	$D6,$84,$06
	.DB	$D7,$84,$04
	.DB	$D7,$84,$04
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$FF
s15
	.DB	$D9,$84,$18
	.DB	$D9,$84,$13
	.DB	$D9,$84,$FD,$2F,$1A,$1B
	.DB	$D9,$8C,$1A
	.DB	$D9,$84,$18
	.DB	$D9,$84,$FD,$2F,$16,$18
	.DB	$D9,$84,$18
	.DB	$D9,$84,$14
	.DB	$D9,$84,$FD,$2F,$1B,$1D
	.DB	$D9,$94,$FD,$C1,$1B,$1D
	.DB	$D9,$84,$1D
	.DB	$D9,$84,$1A
	.DB	$D9,$84,$17
	.DB	$D9,$88,$11
	.DB	$D9,$84,$14
	.DB	$D9,$84,$FD,$2F,$17,$18
	.DB	$D9,$84,$1A
	.DB	$D9,$84,$FD,$2F,$1A,$1B
	.DB	$D9,$84,$1A
	.DB	$D9,$84,$18
	.DB	$D9,$88,$13
	.DB	$D9,$82,$1F,$20,$1F,$1D,$1A,$1B

	.DB	$D9,$84,$18
	.DB	$D9,$84,$13
	.DB	$D9,$84,$FD,$2F,$1A,$1B
	.DB	$D9,$8C,$1A
	.DB	$D9,$84,$18
	.DB	$D9,$84,$FD,$2F,$16,$18
	.DB	$D9,$84,$18
	.DB	$D9,$84,$14
	.DB	$D9,$84,$FD,$2F,$1B,$1D
	.DB	$D9,$94,$FD,$C1,$1B,$1D
	.DB	$D9,$84,$1D
	.DB	$D9,$84,$1A
	.DB	$D9,$84,$17
	.DB	$D9,$88,$FD,$1F,$1F,$20
	.DB	$D9,$84,$1F
	.DB	$D9,$84,$FD,$2F,$1D,$1A
	.DB	$D9,$84,$1B
	.DB	$D9,$84,$1F
	.DB	$D9,$84,$20
	.DB	$D9,$84,$1F
	.DB	$D9,$94,$FD,$08,$22,$24
	.DB	$FF
s16
	.DB	$D8,$88,$62,$13,$13,$13,$13,$61,$14,$14,$14,$14
	.DB	$61,$13,$13,$63,$0E,$61,$13,$62,$13,$13
	.DB	$84,$63,$11,$84,$65,$0F,$84,$62,$13,$78,$13
	.DB	$88,$60,$18,$18,$18,$18,$64,$18,$18,$63,$0F,$64,$18
	.DB	$64,$17,$17,$61,$13,$63,$0E,$65,$0F,$62,$13,$60,$18,$65,$1B
	.DB	$FF

;-----

s17
	.DB	$CC
	.DB	$84,$72,$00
	.DB	$82,$71,$00
	.DB	$82,$71,$00
	.DB	$82,$73,$00
	.DB	$82,$71,$00
	.DB	$84,$72,$00
	.DB	$84,$72,$00
	.DB	$82,$71,$00
	.DB	$82,$72,$00
	.DB	$82,$73,$02
	.DB	$82,$71,$04
	.DB	$82,$72,$07
	.DB	$82,$71,$04

	.DB	$84,$72,$09
	.DB	$82,$71,$09
	.DB	$82,$71,$09
	.DB	$82,$73,$09
	.DB	$82,$71,$09
	.DB	$82,$72,$07
	.DB	$82,$71,$04
	.DB	$84,$72,$09
	.DB	$82,$71,$09
	.DB	$82,$72,$09
	.DB	$82,$73,$09
	.DB	$82,$71,$07
	.DB	$82,$72,$06
	.DB	$82,$71,$04

	.DB	$84,$72,$03
	.DB	$82,$71,$03
	.DB	$82,$71,$04
	.DB	$82,$73,$06
	.DB	$82,$71,$03
	.DB	$82,$72,$04
	.DB	$82,$71,$06
	.DB	$84,$72,$03
	.DB	$82,$71,$03
	.DB	$82,$72,$04
	.DB	$82,$73,$06
	.DB	$82,$71,$07
	.DB	$82,$72,$09
	.DB	$82,$71,$0b

	.DB	$84,$73,$04
	.DB	$82,$72,$04
	.DB	$84,$73,$06
	.DB	$82,$72,$06
	.DB	$84,$73,$07
	.DB	$82,$72,$07
	.DB	$84,$73,$06
	.DB	$82,$72,$06
	.DB	$82,$73,$07
	.DB	$82,$73,$09
	.DB	$82,$73,$06
	.DB	$82,$73,$02
	.DB	$FF

s1b
	.DB	$CC
	.DB	$84,$72,$00
	.DB	$82,$71,$00
	.DB	$82,$71,$00
	.DB	$82,$73,$00
	.DB	$82,$71,$00
	.DB	$84,$72,$00
	.DB	$84,$72,$00
	.DB	$82,$71,$00
	.DB	$82,$72,$00
	.DB	$82,$73,$02
	.DB	$82,$71,$04
	.DB	$82,$72,$07
	.DB	$82,$71,$04

	.DB	$84,$72,$09
	.DB	$82,$71,$09
	.DB	$82,$71,$09
	.DB	$82,$73,$09
	.DB	$82,$71,$09
	.DB	$82,$72,$07
	.DB	$82,$71,$04
	.DB	$84,$72,$09
	.DB	$82,$71,$09
	.DB	$82,$72,$09
	.DB	$82,$73,$09
	.DB	$82,$71,$07
	.DB	$82,$72,$06
	.DB	$82,$71,$04

	.DB	$84,$72,$03
	.DB	$82,$71,$03
	.DB	$82,$71,$04
	.DB	$82,$73,$06
	.DB	$82,$71,$03
	.DB	$82,$72,$04
	.DB	$82,$71,$06
	.DB	$84,$72,$03
	.DB	$82,$71,$03
	.DB	$82,$72,$04
	.DB	$82,$73,$06
	.DB	$82,$71,$07
	.DB	$82,$72,$09
	.DB	$82,$71,$07

	.DB	$84,$73,$0B
	.DB	$82,$72,$0B
	.DB	$84,$73,$0B
	.DB	$82,$72,$0B
	.DB	$84,$73,$0B
	.DB	$82,$72,$0B
	.DB	$84,$73,$06
	.DB	$82,$72,$07
	.DB	$82,$73,$06
	.DB	$82,$73,$04
	.DB	$82,$73,$03
	.DB	$82,$73,$06
	.DB	$FF

s18
	.DB	$D6,$84,$06
	.DB	$D5,$82,$05
	.DB	$D5,$82,$05
	.DB	$D7,$84,$04
	.DB	$D6,$84,$06
	.DB	$D6,$84,$06
	.DB	$D5,$82,$05
	.DB	$D5,$82,$05
	.DB	$D7,$84,$04
	.DB	$D5,$82,$05
	.DB	$D5,$82,$05

	.DB	$D7,$84,$04
	.DB	$D6,$82,$06
	.DB	$D7,$84,$04
	.DB	$D6,$82,$06
	.DB	$D7,$84,$04
	.DB	$D6,$82,$06
	.DB	$D7,$84,$04
	.DB	$D6,$82,$06
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$FF
s19
	.DB	$D9,$84,$20
	.DB	$D9,$82,$1F,$81,$20,$1F
	.DB	$D9,$84,$1D
	.DB	$D9,$8C,$18
	.DB	$D9,$84,$14
	.DB	$D9,$84,$18
	.DB	$D9,$84,$1A
	.DB	$D9,$84,$1B
	.DB	$D9,$84,$1A
	.DB	$D9,$8C,$18
	.DB	$D9,$86,$14,$81,$16,$14
	.DB	$D9,$84,$13
	.DB	$D9,$84,$17
	.DB	$D9,$84,$18
	.DB	$D9,$88,$FD,$1F,$18,$1A
	.DB	$D9,$84,$1B
	.DB	$D9,$84,$1D
	.DB	$D9,$84,$1B
	.DB	$D9,$94,$FD,$08,$1D,$1F
	.DB	$DA,$82,$79,$0A,$0A,$07,$05,$03,$01

	.DB	$D9,$84,$20
	.DB	$D9,$82,$1F,$81,$20,$1F
	.DB	$D9,$84,$1D
	.DB	$D9,$8C,$18
	.DB	$D9,$84,$14
	.DB	$D9,$84,$18
	.DB	$D9,$84,$1A
	.DB	$D9,$84,$1B
	.DB	$D9,$84,$1A
	.DB	$D9,$8C,$18
	.DB	$D9,$86,$14,$81,$16,$14
	.DB	$D9,$84,$13
	.DB	$D9,$84,$17
	.DB	$D9,$84,$18
	.DB	$D9,$84,$1A
	.DB	$D9,$84,$1D
	.DB	$D9,$84,$1F
	.DB	$D9,$84,$20
	.DB	$D9,$84,$1D
	.DB	$D9,$94,$FD,$08,$1D,$1F
	.DB	$DA,$82,$79,$0A,$0A,$07,$05,$03,$01
	.DB	$ff
s1a
	.DB	$D8,$82,$63,$0F,$86,$0F,$0F,$0F,$88,$0F,$84,$0F
	.DB	$82,$63,$0F,$86,$0F,$0F,$0F,$88,$0F,$84,$0F
	.DB	$82,$61,$13,$86,$13,$13,$13,$88,$13,$84,$13
	.DB	$82,$62,$13,$86,$13,$13,$13,$84,$60,$18,$62,$13,$63,$11

	.DB	$D8,$82,$63,$0F,$86,$0F,$0F,$0F,$88,$0F,$84,$0F
	.DB	$82,$63,$0F,$86,$0F,$0F,$0F,$88,$0F,$84,$0F
	.DB	$82,$61,$13,$86,$13,$13,$13,$88,$13,$84,$13
	.DB	$82,$64,$17,$86,$17,$17,$17,$84,$61,$13,$63,$0E,$61,$13
	.DB	$FF

;+++++

s1c
	.DB	$CC
	.DB	$84,$72,$04
	.DB	$82,$71,$04
	.DB	$82,$71,$06
	.DB	$82,$73,$07
	.DB	$82,$71,$06
	.DB	$84,$72,$02
	.DB	$84,$72,$04
	.DB	$82,$71,$04
	.DB	$82,$72,$02
	.DB	$82,$73,$04
	.DB	$82,$71,$07
	.DB	$82,$72,$06
	.DB	$82,$71,$02

	.DB	$84,$72,$04
	.DB	$82,$71,$04
	.DB	$82,$71,$02
	.DB	$82,$73,$04
	.DB	$82,$71,$07
	.DB	$82,$72,$06
	.DB	$82,$71,$02
	.DB	$84,$72,$04
	.DB	$82,$71,$06
	.DB	$82,$72,$07
	.DB	$82,$73,$0B
	.DB	$82,$71,$0C
	.DB	$82,$72,$0B
	.DB	$82,$71,$09

	.DB	$84,$72,$0B
	.DB	$82,$71,$0B
	.DB	$82,$71,$0B
	.DB	$82,$73,$09
	.DB	$82,$71,$07
	.DB	$82,$72,$09
	.DB	$82,$71,$07
	.DB	$84,$72,$0B
	.DB	$82,$71,$0B
	.DB	$82,$72,$07
	.DB	$82,$73,$09
	.DB	$82,$71,$0B
	.DB	$82,$72,$0E
	.DB	$82,$71,$0B

	.DB	$84,$73,$0C
	.DB	$84,$72,$0C
	.DB	$82,$73,$0C
	.DB	$82,$73,$0C
	.DB	$84,$72,$0E
	.DB	$82,$73,$0E
	.DB	$84,$73,$0E
	.DB	$82,$73,$0E
	.DB	$84,$73,$12
	.DB	$82,$73,$12
	.DB	$82,$73,$12
	.DB	$ff
s1d
	.DB	$D6,$84,$06
	.DB	$D5,$82,$05
	.DB	$D5,$82,$05
	.DB	$D7,$84,$04
	.DB	$D6,$84,$06
	.DB	$D6,$84,$06
	.DB	$D5,$82,$05
	.DB	$D6,$82,$06
	.DB	$D7,$84,$04
	.DB	$D5,$82,$05
	.DB	$D5,$82,$05

	.DB	$D7,$84,$04
	.DB	$D6,$84,$06
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$D6,$84,$06
	.DB	$D7,$82,$04
	.DB	$D7,$84,$04
	.DB	$D7,$82,$04
	.DB	$D7,$84,$04
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$FF
s1e
	.DB	$D9,$98,$0C
	.DB	$D9,$82,$0C,$0F,$0E,$0A
	.DB	$D9,$98,$0C
	.DB	$D9,$82,$13,$14,$13,$11
	.DB	$D9,$A0,$13
	.DB	$D9,$8C,$14
	.DB	$D9,$8C,$16
	.DB	$D9,$88,$1A
	.DB	$FF
s1f
	.DB	$D8,$98,$65,$03
	.DB	$D8,$82,$65,$03
	.DB	$D8,$82,$62,$07
	.DB	$D8,$82,$63,$05
	.DB	$D8,$82,$64,$02
	.DB	$D8,$98,$65,$03
	.DB	$D8,$82,$60,$0C
	.DB	$D8,$82,$64,$0C
	.DB	$D8,$82,$60,$0C
	.DB	$D8,$82,$61,$0A
	.DB	$D8,$A0,$60,$0C
	.DB	$DD,$8C,$7B,$0C
	.DB	$DD,$8C,$7B,$0E
	.DB	$DD,$88,$7C,$11
	.DB	$FF
s20
	.DB	$DE,$84,$FD,$1F,$21,$22
	.DB	$D9,$82,$1E,$E2
	.DB	$DE,$84,$FD,$1F,$1B,$1D
	.DB	$D9,$82,$1B
	.DB	$DE,$86,$1D
	.DB	$D9,$82,$1E
	.DB	$DE,$86,$1D
	.DB	$D9,$82,$1B,$E2
	.DB	$D9,$86,$FD,$1F,$18,$1A
	.DB	$D9,$82,$16,$E4
	.DB	$DD,$88,$7D,$1A
	.DB	$DD,$82,$1A,$13,$16,$18,$1B,$1D
	.DB	$D9,$84,$FD,$2F,$1D,$1E
	.DB	$D9,$82,$1D,$81,$1E,$1D
	.DB	$D9,$82,$1B,$E2
	.DB	$DE,$8C,$FD,$08,$20,$22
	.DB	$D9,$84,$1E
	.DB	$D9,$88,$FD,$4F,$1E,$1D
	.DB	$DE,$84,$1D
	.DB	$D9,$84,$1B
	.DB	$DE,$88,$FD,$1F,$1B,$1D
	.DB	$D9,$82,$12
	.DB	$D9,$82,$13
	.DB	$DE,$84,$16
	.DB	$D9,$84,$18
	.DB	$D9,$98,$FD,$08,$18,$1A
	.DB	$D9,$84,$16
	.DB	$D9,$84,$13,$E4
	.DB	$D9,$84,$16
	.DB	$D9,$8C,$FD,$4C,$18,$1B
	.DB	$D9,$82,$12
	.DB	$D9,$82,$13
	.DB	$DE,$84,$16
	.DB	$D9,$82,$18,$E2
	.DB	$DD,$98,$7D,$1A
	.DB	$D9,$84,$16
	.DB	$D9,$84,$13
	.DB	$D9,$82,$15
	.DB	$D9,$82,$18
	.DB	$DE,$84,$1D
	.DB	$DD,$8C,$7D,$21
	.DB	$D9,$82,$21
	.DB	$D9,$82,$1D
	.DB	$D9,$84,$FD,$1F,$1D,$1F
	.DB	$D9,$84,$22
	.DB	$D9,$A0,$FD,$08,$22,$24
	.DB	$D9,$90,$FD,$08,$20,$22
	.DB	$D9,$90,$FD,$08,$1F,$21
	.DB	$D9,$A0,$FD,$08,$1D,$1F
	.DB	$D9,$90,$FD,$08,$1B,$1D
	.DB	$D9,$90,$FD,$08,$19,$1B
	.DB	$FF
s21
	.DB	$D8
	.DB	$88,$62,$13,$13,$13,$13
	.DB	$88,$63,$11,$11 
	.DB	$88,$62,$13,$13
	.DB	$88,$63,$0F,$0F,$61,$14,$63,$0F
	.DB	$88,$63,$11,$11,$61,$16,$63,$11

	.DB	$88,$60,$13,$13,$65,$16,$60,$13
	.DB	$88,$62,$13,$13,$84,$60,$18,$62,$13,$65,$0F,$62,$13
	.DB	$88,$60,$13,$13,$65,$16,$62,$1A
	.DB	$88,$63,$18,$64,$15,$63,$18,$61,$1D
	.DB	$88,$65,$1B,$1B,$1B,$1B
	.DB	$88,$64,$1A,$1A
	.DB	$88,$63,$18,$18
	.DB	$88,$63,$16,$16,$16,$16
	.DB	$88,$64,$15,$15
	.DB	$88,$64,$13,$13
	.DB	$FF	
s22
	.DB	$CC
	.DB	$84,$72,$04
	.DB	$82,$71,$04
	.DB	$82,$71,$07
	.DB	$82,$73,$04
	.DB	$82,$71,$07
	.DB	$84,$72,$06
	.DB	$84,$72,$04
	.DB	$82,$71,$04
	.DB	$82,$72,$07
	.DB	$82,$73,$04
	.DB	$82,$71,$07
	.DB	$82,$72,$06
	.DB	$82,$71,$04

	.DB	$84,$72,$02
	.DB	$82,$71,$02
	.DB	$82,$71,$06
	.DB	$82,$73,$02
	.DB	$82,$71,$06
	.DB	$82,$72,$04
	.DB	$82,$71,$02
	.DB	$84,$72,$04
	.DB	$82,$71,$04
	.DB	$82,$72,$07
	.DB	$82,$73,$04
	.DB	$82,$71,$07
	.DB	$82,$72,$06
	.DB	$82,$71,$04

	.DB	$84,$72,$00
	.DB	$82,$71,$00
	.DB	$82,$71,$04
	.DB	$82,$73,$00
	.DB	$82,$71,$04
	.DB	$82,$72,$02
	.DB	$82,$71,$04
	.DB	$84,$72,$00
	.DB	$82,$71,$00
	.DB	$82,$72,$04
	.DB	$82,$73,$00
	.DB	$82,$71,$04
	.DB	$82,$72,$02
	.DB	$82,$71,$00

	.DB	$84,$72,$02
	.DB	$82,$71,$02
	.DB	$82,$71,$06
	.DB	$82,$73,$02
	.DB	$82,$71,$06
	.DB	$82,$72,$04
	.DB	$82,$71,$06
	.DB	$84,$72,$02
	.DB	$82,$71,$02
	.DB	$82,$72,$06
	.DB	$82,$73,$02
	.DB	$82,$71,$06
	.DB	$82,$72,$07
	.DB	$82,$71,$09
	.DB	$FF

s23
	.DB	$CC
	.DB	$84,$72,$0B
	.DB	$82,$71,$0B
	.DB	$82,$71,$09
	.DB	$82,$73,$06
	.DB	$82,$71,$09
	.DB	$84,$72,$0B
	.DB	$84,$72,$0B
	.DB	$82,$71,$0B
	.DB	$82,$72,$09
	.DB	$82,$73,$06
	.DB	$82,$71,$04
	.DB	$84,$72,$02

	.DB	$84,$72,$04
	.DB	$82,$71,$04
	.DB	$82,$71,$07
	.DB	$82,$73,$04
	.DB	$82,$71,$07
	.DB	$82,$72,$06
	.DB	$82,$71,$02
	.DB	$84,$72,$04
	.DB	$82,$71,$04
	.DB	$82,$72,$07
	.DB	$82,$73,$04
	.DB	$82,$71,$07
	.DB	$82,$72,$09
	.DB	$82,$71,$0A

	.DB	$84,$72,$0B
	.DB	$82,$71,$0B
	.DB	$82,$71,$09
	.DB	$82,$73,$06
	.DB	$82,$71,$09
	.DB	$82,$72,$0B
	.DB	$82,$71,$09
	.DB	$84,$72,$0B
	.DB	$82,$71,$0B
	.DB	$82,$72,$09
	.DB	$82,$73,$06
	.DB	$82,$71,$04
	.DB	$82,$72,$06
	.DB	$82,$71,$07

	.DB	$84,$72,$09
	.DB	$82,$71,$09
	.DB	$82,$71,$07
	.DB	$82,$73,$04
	.DB	$82,$71,$09
	.DB	$82,$72,$07
	.DB	$82,$71,$04
	.DB	$84,$72,$09
	.DB	$82,$71,$09
	.DB	$82,$72,$07
	.DB	$82,$73,$04
	.DB	$82,$71,$09
	.DB	$82,$72,$07
	.DB	$82,$71,$06
	.DB	$FF
s24
	.DB	$CC
	.DB	$84,$72,$04
	.DB	$82,$71,$04
	.DB	$82,$71,$07
	.DB	$82,$73,$04
	.DB	$82,$71,$07
	.DB	$84,$72,$06
	.DB	$84,$72,$04
	.DB	$82,$71,$04
	.DB	$82,$72,$07
	.DB	$82,$73,$04
	.DB	$82,$71,$07
	.DB	$82,$72,$06
	.DB	$82,$71,$04

	.DB	$84,$72,$02
	.DB	$82,$71,$02
	.DB	$82,$71,$06
	.DB	$82,$73,$02
	.DB	$82,$71,$06
	.DB	$82,$72,$04
	.DB	$82,$71,$07
	.DB	$84,$72,$09
	.DB	$82,$71,$09
	.DB	$82,$72,$07
	.DB	$82,$73,$04
	.DB	$82,$71,$09
	.DB	$82,$72,$07
	.DB	$82,$71,$06

	.DB	$84,$72,$04
	.DB	$82,$71,$04
	.DB	$82,$71,$07
	.DB	$82,$73,$04
	.DB	$82,$71,$07
	.DB	$82,$72,$06
	.DB	$82,$71,$02
	.DB	$84,$72,$04
	.DB	$82,$71,$04
	.DB	$82,$72,$07
	.DB	$82,$73,$04
	.DB	$82,$71,$07
	.DB	$82,$72,$06
	.DB	$82,$71,$07

	.DB	$84,$73,$09
	.DB	$82,$72,$09
	.DB	$84,$73,$09
	.DB	$82,$72,$09
	.DB	$84,$73,$09
	.DB	$82,$72,$07
	.DB	$84,$73,$07
	.DB	$82,$72,$07
	.DB	$82,$73,$07
	.DB	$82,$73,$07
	.DB	$82,$73,$07
	.DB	$82,$73,$07
	.DB	$FF
 
GAMEOVER0
	.DB	$82,$25,$26
	.DB	$82,$26,$26
	.DB	$82,$26,$26
	.DB	$82,$2B,$2B

	.DB	$82,$2D,$2D,$2D,$2D,$2D,$2D
	.DB	$82,$31
	.DB	$82,$31
	.DB	$FF,$06
GAMEOVER1
	.DB	$80,$27,$27,$27,$27
	.DB	$84,$29,$29,$29

	.DB	$84,$2F,$2F,$2F
	.DB	$84,$33
	.DB	$84,$33
	.DB	$FF,$07
GAMEOVER2
	.DB	$80,$27,$27,$27,$27
	.DB	$80,$27,$27,$27,$27
	.DB	$84,$2A,$2A

	.DB	$84,$37,$27,$27,$27
	.DB	$84,$30,$34
	.DB	$80,$35,$35,$35,$35,$35,$35,$35,$36
	.DB	$FF,$0A

GAMEOVER3
	.DB	$27,$27
	.DB	$28,$28
	.DB	$28,$28,$28,$28
	.DB	$28,$28,$28,$28
	.DB	$2C,$2C,$2C,$2C

	.DB	$2E,$2E,$2E,$2E,$2E,$2E,$2E,$2E,$2E,$2E,$2E,$2E
	.DB	$2E,$2E,$2E,$2E,$2E,$2E,$2E,$32
	.DB	$2E,$2E,$2E,$2E,$2E,$2E,$2E,$32
	.DB	$FF,$08

s25
	.DB	$CE,$84,$71,$02
	.DB	$CC,$82,$71,$02
	.DB	$CC,$84,$71,$02
	.DB	$CC,$82,$71,$02
	.DB	$CC,$82,$71,$02
	.DB	$CC,$82,$71,$02
	.DB	$CE,$84,$71,$02
	.DB	$CC,$82,$71,$02
	.DB	$CC,$84,$71,$02
	.DB	$CC,$82,$71,$02
	.DB	$CC,$82,$71,$02
	.DB	$CC,$82,$71,$02
	.DB	$CE,$84,$71,$05
	.DB	$CC,$82,$71,$05
	.DB	$CC,$84,$71,$05
	.DB	$CC,$82,$71,$05
	.DB	$CC,$82,$71,$05
	.DB	$CC,$82,$71,$05
	.DB	$CE,$84,$71,$07
	.DB	$CC,$82,$71,$07
	.DB	$CE,$84,$71,$07
	.DB	$CC,$82,$71,$07
	.DB	$CE,$84,$71,$00
	.DB	$FF
	
s26
	.DB	$CE,$84,$72,$02
	.DB	$CC,$82,$72,$02
	.DB	$CC,$82,$71,$02
	.DB	$CC,$82,$71,$02
	.DB	$CC,$82,$71,$02
	.DB	$CC,$82,$71,$02
	.DB	$CC,$82,$72,$02
	.DB	$CE,$84,$71,$02
	.DB	$CC,$82,$72,$02
	.DB	$CC,$82,$71,$02
	.DB	$CC,$82,$71,$02
	.DB	$CC,$82,$72,$02
	.DB	$CC,$82,$72,$02
	.DB	$CC,$82,$71,$02
	.DB	$CE,$84,$72,$05
	.DB	$CC,$82,$72,$05
	.DB	$CC,$82,$71,$05
	.DB	$CC,$82,$71,$05
	.DB	$CC,$82,$71,$05
	.DB	$CC,$82,$71,$05
	.DB	$CC,$82,$72,$05
	.DB	$CE,$84,$71,$07
	.DB	$CC,$82,$72,$07
	.DB	$CC,$82,$71,$07
	.DB	$CC,$82,$71,$07
	.DB	$CC,$82,$72,$07
	.DB	$CC,$84,$72,$00
	.DB	$FF
s27
	.db	$f0,$f0
	.db	$ff
s28
	.DB	$D6,$84,$05
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$FF
s29
	.db	$c6,$a0,$7f,$0c
	.db	$c6,$90,$7f,$0f
	.db	$c6,$90,$7f,$11
	.db	$c6,$a0,$7f,$0c
	.db	$c6,$88,$7f,$16
	.db	$c6,$86,$7f,$14,$81,$16,$14
	.db	$c6,$88,$7f,$13
	.db	$c6,$88,$7f,$0f
	.db	$ff
s2a
	.db	$c6,$a0,$7f,$07
	.db	$c6,$90,$7f,$0a
	.db	$c6,$90,$7f,$0c
	.db	$c6,$a0,$7f,$07
	.db	$c6,$88,$7f,$0f
	.db	$c6,$88,$7f,$0f
	.db	$c6,$88,$7f,$0c
	.db	$c6,$88,$7f,$0c
	.db	$ff
s2b
	.DB	$CE,$84,$72,$02
	.DB	$CC,$82,$72,$02
	.DB	$CC,$82,$71,$02
	.DB	$CC,$82,$73,$02
	.DB	$CC,$82,$71,$02
	.DB	$CC,$82,$71,$02
	.DB	$CC,$82,$72,$02
	.DB	$CE,$82,$71,$02
	.DB	$CC,$82,$73,$02
	.DB	$CC,$82,$72,$02
	.DB	$CC,$82,$71,$02
	.DB	$CC,$82,$73,$02
	.DB	$CC,$82,$72,$02
	.DB	$CC,$82,$72,$02
	.DB	$CC,$82,$71,$02
	.DB	$CE,$84,$72,$05
	.DB	$CC,$82,$72,$05
	.DB	$CC,$82,$71,$05
	.DB	$CC,$82,$73,$05
	.DB	$CC,$82,$71,$05
	.DB	$CC,$82,$71,$05
	.DB	$CC,$82,$72,$05
	.DB	$CE,$82,$71,$07
	.DB	$CC,$82,$73,$07
	.DB	$CC,$82,$72,$07
	.DB	$CC,$82,$71,$07
	.DB	$CC,$82,$73,$07
	.DB	$CC,$82,$72,$07
	.DB	$CC,$84,$72,$00
	.DB	$ff
s2c
	.DB	$D6,$84,$05
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D6,$82,$05
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$FF

;-----

s2d
	.DB	$CC
	.DB	$84,$72,$02
	.DB	$84,$72,$02
	.DB	$84,$73,$02
	.DB	$82,$71,$02
	.DB	$84,$72,$02
	.DB	$82,$73,$02
	.DB	$84,$72,$02
	.DB	$82,$73,$00
	.DB	$82,$72,$00
	.DB	$84,$72,$01
	.DB	$84,$72,$02
	.DB	$84,$72,$02
	.DB	$84,$73,$02
	.DB	$82,$71,$02
	.DB	$84,$72,$02
	.DB	$82,$73,$02
	.DB	$84,$72,$02
	.DB	$82,$73,$05
	.DB	$82,$72,$05
	.DB	$84,$72,$07
	.DB	$FF
s2e
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D6,$82,$05
	.DB	$D6,$82,$05
	.DB	$D5,$82,$05
	.DB	$ff

s2f
	.DB	$C6
	.DB	$86,$65,$0F
	.DB	$86,$65,$0F
	.DB	$84,$65,$0F
	.DB	$86,$65,$0F
	.DB	$86,$64,$0E
	.DB	$84,$64,$0F
	.DB	$86,$65,$0F
	.DB	$86,$65,$0F
	.DB	$84,$65,$0F
	.DB	$86,$65,$0F
	.DB	$86,$64,$13
	.DB	$84,$64,$0E
	.DB	$86,$65,$0F
	.DB	$86,$65,$0F
	.DB	$84,$65,$0F
	.DB	$86,$65,$0F
	.DB	$86,$64,$0E
	.DB	$84,$64,$0F
	.DB	$86,$65,$0F
	.DB	$86,$65,$0F
	.DB	$84,$65,$0F
	.DB	$86,$65,$0F
	.DB	$86,$64,$13
	.DB	$84,$64,$15
	.DB	$FF
s30
	.DB	$D9,$82,$22,$24,$18,$22,$24,$1B,$1D,$1F
	.DB	$D9,$82,$20,$22,$18,$20,$22,$1A,$1B,$1D
	.DB	$D9,$82,$1F,$20,$18,$1F,$20,$18,$1A,$1B
	.DB	$D9,$82,$1D,$1F,$1D,$1B,$1D,$1A,$16,$17
	.DB	$D9,$8C,$FD,$08,$16,$18
	.DB	$DE,$94,$13

	.DB	$DA,$82,$79,$0A,$84,$0A,$84,$0A
	.DB	$82,$0A,$07,$82,$0C,$84,$0A,$82,$0A,$84,$07
	.DB	$82,$05,$03,$01

	.DB	$D9,$82,$22,$24,$18,$22,$24,$1B,$1D,$1F
	.DB	$D9,$82,$20,$22,$18,$20,$22,$1A,$1B,$1D
	.DB	$D9,$82,$1F,$20,$18,$1F,$20,$18,$1A,$1B
	.DB	$D9,$82,$1D,$1F,$1D,$1B,$1D,$1A,$16,$17
	.DB	$D9,$8C,$FD,$08,$16,$18
	.DB	$DE,$88,$13

	.DB	$D9,$84,$1B
	.DB	$D9,$82,$1A,$81,$1B,$1A
	.DB	$D9,$84,$16
	.DB	$DE,$84,$18
	.DB	$D9,$84,$1A
	.DB	$D9,$84,$1B
	.DB	$DE,$88,$FD,$1F,$1D,$1F

	.DB	$D9,$84,$24
	.DB	$DE,$84,$26
	.DB	$D9,$84,$27
	.DB	$ff
s34	
	.DB	$D9,$8C,$FD,$08,$24,$26
	.DB	$D9,$8C,$24
	.DB	$D9,$84,$1F
	.DB	$D9,$88,$20
	.DB	$D9,$84,$22,$82,$24,$1F,$84,$20,$14
	.DB	$D9,$84,$FD,$2F,$20,$22
	.DB	$D9,$82,$24,$26
	.DB	$D9,$84,$27
	.DB	$D9,$8C,$FD,$1F,$24,$26
	.DB	$DE,$8C,$24
	.DB	$D9,$84,$22
	.DB	$D9,$84,$1F
	.DB	$D9,$84,$22
	.DB	$D9,$84,$24
	.DB	$D9,$84,$FD,$2F,$1D,$1E
	.DB	$DE,$84,$1D
	.DB	$D9,$84,$FD,$2F,$1B,$1D
	.DB	$D9,$84,$1E
	.DB	$D9,$82,$1F
	.DB	$D9,$82,$22
	.DB	$DE,$84,$24
	
	.DB	$D9,$8C,$FD,$08,$24,$26
	.DB	$DE,$8C,$22
	.DB	$D9,$88,$1F
	.DB	$D9,$8C,$FD,$1F,$1F,$20
	.DB	$D9,$88,$27
	.DB	$D9,$82,$26,$81,$27,$26
	.DB	$D9,$84,$22,$1F
	.DB	$DE,$A4,$FD,$08,$22,$24

	.DB	$DA,$82,$79,$0A,$84,$0A
	.DB	$82,$0A,$07,$82,$0C,$84,$0A,$82,$0A,$84,$07
	.DB	$82,$05,$03,$01
	.DB	$FF
s31
	.DB	$CC
	.DB	$84,$72,$09
	.DB	$84,$72,$09
	.DB	$84,$73,$09
	.DB	$82,$71,$09
	.DB	$84,$72,$09
	.DB	$82,$73,$09
	.DB	$84,$72,$09
	.DB	$82,$73,$09
	.DB	$82,$72,$09
	.DB	$84,$72,$09
	.DB	$84,$72,$0A
	.DB	$84,$72,$0A
	.DB	$84,$73,$0A
	.DB	$82,$71,$0A
	.DB	$84,$72,$0A
	.DB	$82,$73,$0A
	.DB	$84,$72,$0A
	.DB	$82,$73,$0A
	.DB	$82,$72,$0A
	.DB	$84,$72,$0A

	.DB	$84,$72,$00
	.DB	$84,$72,$00
	.DB	$84,$73,$00
	.DB	$82,$71,$00
	.DB	$84,$72,$00
	.DB	$82,$73,$00
	.DB	$84,$72,$00
	.DB	$82,$73,$00
	.DB	$82,$72,$00
	.DB	$84,$72,$00
	.DB	$84,$72,$02
	.DB	$84,$72,$02
	.DB	$84,$73,$02
	.DB	$82,$71,$02
	.DB	$84,$72,$02
	.DB	$82,$73,$02
	.DB	$84,$72,$02
	.DB	$82,$73,$02
	.DB	$82,$72,$02
	.DB	$84,$72,$02

	.DB	$84,$72,$09
	.DB	$84,$72,$09
	.DB	$84,$73,$09
	.DB	$82,$71,$09
	.DB	$84,$72,$09
	.DB	$82,$73,$09
	.DB	$84,$72,$09
	.DB	$82,$73,$09
	.DB	$82,$72,$09
	.DB	$84,$72,$09
	.DB	$84,$72,$0A
	.DB	$84,$72,$0A
	.DB	$84,$73,$0A
	.DB	$82,$71,$0A
	.DB	$84,$72,$00
	.DB	$82,$73,$00
	.DB	$84,$72,$00
	.DB	$82,$73,$00
	.DB	$82,$72,$00
	.DB	$84,$72,$00

	.DB	$84,$72,$02
	.DB	$84,$72,$02
	.DB	$84,$73,$02
	.DB	$82,$71,$02
	.DB	$84,$72,$05
	.DB	$82,$73,$02
	.DB	$84,$72,$07
	.DB	$82,$73,$09
	.DB	$82,$72,$0C
	.DB	$84,$72,$0E
	.DB	$84,$72,$02
	.DB	$84,$72,$02
	.DB	$84,$73,$00
	.DB	$82,$71,$01
	.DB	$84,$72,$02
	.DB	$82,$73,$02
	.DB	$84,$73,$02
	.DB	$82,$73,$02
	.DB	$82,$73,$02
	.DB	$84,$73,$02
	.DB	$FF
s32
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$FF
s33
	.DB	$C6
	.DB	$86,$64,$0E
	.DB	$86,$64,$0E
	.DB	$84,$64,$0E
	.DB	$86,$61,$0A
	.DB	$86,$64,$0E
	.DB	$84,$63,$11
	.DB	$86,$65,$0F
	.DB	$86,$65,$0F
	.DB	$84,$65,$0F
	.DB	$86,$60,$0C
	.DB	$86,$65,$0F
	.DB	$84,$62,$13
	.DB	$86,$63,$11
	.DB	$86,$63,$11
	.DB	$84,$63,$11
	.DB	$86,$64,$0E
	.DB	$86,$63,$11
	.DB	$84,$61,$16
	.DB	$86,$64,$13
	.DB	$86,$64,$13
	.DB	$84,$63,$11
	.DB	$90,$64,$13

	.DB	$86,$64,$0E
	.DB	$86,$64,$0E
	.DB	$84,$64,$0E
	.DB	$86,$61,$0A
	.DB	$86,$64,$0E
	.DB	$84,$63,$11
	.DB	$86,$65,$0F
	.DB	$86,$65,$0F
	.DB	$84,$65,$0F
	.DB	$86,$63,$11
	.DB	$86,$63,$11
	.DB	$84,$61,$16
	.DB	$86,$64,$13
	.DB	$86,$64,$13
	.DB	$84,$63,$11
	.DB	$86,$64,$13
	.DB	$86,$64,$13
	.DB	$84,$63,$11
	.DB	$86,$61,$0F
	.DB	$86,$61,$0F
	.DB	$84,$63,$0C
	.DB	$90,$63,$0A
	.DB	$FF
s35
	.DB	$DA,$84,$7E,$14
	.DB	$84,$14
	.DB	$82,$14
	.DB	$84,$10
	.DB	$84,$10
	.DB	$82,$0C
	.DB	$82,$0C
	.DB	$82,$08
	.DB	$84,$0C
	.DB	$82,$08
	.DB	$82,$0C
	.DB	$FF	
s36
	.DB	$DA,$82,$7E,$14,$14,$14,$14
	.DB	$10,$10,$10,$10
	.DB	$0C,$0C,$0C,$0C
	.DB	$08,$08,$08,$08
	.DB	$FF
s37
	.db	$c6,$a0,$7f,$0c
	.DB	$FF
GAMECOMP0
	.DB	$80,$38
	.DB	$80,$3C,$3C,$40
	.DB	$80,$41
	.DB	$FF,$02
GAMECOMP1
	.DB	$80,$39
	.DB	$80,$3D,$3D,$3D,$3D
	.DB	$80,$42,$42
	.DB	$FF,$02
GAMECOMP2
	.DB	$80,$3A
	.DB	$80,$3E,$3E,$3E,$3E
	.DB	$80,$43,$43
	.DB	$FF,$02
GAMECOMP3
	.DB	$80,$3B
	.DB	$80,$3F,$3F,$3F,$3F
	.DB	$80,$3F,$3F
	.DB	$FF,$02

;----UPBEAT

s38
	.DB	$DE,$88,$0C
	.DB	$D9,$88,$0D
	.DB	$FF
s39
	.DB	$DD,$88,$61,$11
	.DB	$DD,$88,$61,$12
	.DB	$FF
s3a
	.DB	$CC
	.DB	$84,$73,$05
	.DB	$84,$72,$05
	.DB	$82,$73,$06
	.DB	$82,$73,$06
	.DB	$82,$73,$06
	.DB	$82,$73,$06
	.DB	$FF	
s3b
	.DB	$D7,$84,$04
	.DB	$D6,$84,$05
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$FF

;----START

s3c
	.DB	$D9,$82,$0E
	.DB	$D9,$82,$0E,$C2
	.DB	$D9,$82,$0E,$C2
	.DB	$D9,$82,$0E,$C2
	.DB	$D9,$82,$0E
	.DB	$DE,$84,$0C
	.DB	$D9,$82,$0E,$C2
	.DB	$D9,$82,$0E,$C2
	.DB	$D9,$82,$0F
	.DB	$D9,$82,$10
	.DB	$D9,$82,$11
	.DB	$D9,$82,$11,$C2
	.DB	$D9,$82,$11,$C2
	.DB	$D9,$82,$11,$C2
	.DB	$D9,$82,$11
	.DB	$DE,$84,$0F
	.DB	$D9,$82,$11,$C2
	.DB	$D9,$82,$11,$C2
	.DB	$D9,$82,$0A
	.DB	$D9,$82,$0B

	.DB	$D9,$82,$0C
	.DB	$D9,$82,$0C,$C2
	.DB	$D9,$82,$0C,$C2
	.DB	$D9,$82,$0C,$C2
	.DB	$D9,$82,$0C
	.DB	$DE,$84,$0A
	.DB	$D9,$82,$0C,$C2
	.DB	$D9,$82,$0C,$C2
	.DB	$DE,$84,$0D
	.DB	$D9,$82,$0E
	.DB	$D9,$82,$0E,$C2
	.DB	$D9,$82,$0E,$C2
	.DB	$D9,$82,$0E,$C2
	.DB	$D9,$82,$0E
	.DB	$DE,$84,$0C
	.DB	$D9,$82,$0E,$C2
	.DB	$D9,$82,$0E,$C2

	.DB	$DA,$82,$79,$08,$05
	.DB	$FF
s3d
	.DB	$DD,$82,$60,$13
	.DB	$DD,$82,$60,$13,$CD
	.DB	$DD,$82,$60,$13,$CD
	.DB	$DD,$82,$60,$13,$CD
	.DB	$DD,$82,$60,$13
	.DB	$DD,$84,$61,$11
	.DB	$DD,$82,$60,$13,$CD
	.DB	$DD,$82,$60,$13,$CD
	.DB	$DD,$82,$60,$14
	.DB	$DD,$82,$60,$15
	.DB	$DD,$82,$61,$16
	.DB	$DD,$82,$61,$16,$CD
	.DB	$DD,$82,$61,$16,$CD
	.DB	$DD,$82,$61,$16,$CD
	.DB	$DD,$82,$61,$16
	.DB	$DD,$84,$61,$14
	.DB	$DD,$82,$61,$16,$CD
	.DB	$DD,$82,$61,$16,$CD
	.DB	$DD,$82,$61,$0E
	.DB	$DD,$82,$61,$0F
	.DB	$DD,$82,$61,$11
	.DB	$DD,$82,$61,$11,$CD
	.DB	$DD,$82,$61,$11,$CD
	.DB	$DD,$82,$61,$11,$CD
	.DB	$DD,$82,$61,$11
	.DB	$DD,$84,$61,$0F
	.DB	$DD,$82,$61,$11,$CD
	.DB	$DD,$82,$61,$11,$CD
	.DB	$DD,$84,$61,$12
	.DB	$DD,$82,$60,$13
	.DB	$DD,$82,$60,$13,$CD
	.DB	$DD,$82,$60,$13,$CD
	.DB	$DD,$82,$60,$13,$CD
	.DB	$DD,$82,$60,$13
	.DB	$DD,$84,$61,$11
	.DB	$DD,$82,$60,$13,$CD
	.DB	$DD,$82,$60,$13,$CD
	.DB	$DD,$82,$61,$16
	.DB	$DD,$82,$61,$18
	.DB	$FF
s3e
	.DB	$CC
	.DB	$82,$72,$07
	.DB	$84,$72,$07
	.DB	$82,$72,$07
	.DB	$86,$73,$07
	.DB	$86,$72,$07
	.DB	$84,$72,$07
	.DB	$84,$73,$07
	.DB	$82,$72,$08
	.DB	$82,$71,$09
	.DB	$82,$72,$0A
	.DB	$84,$72,$0A
	.DB	$82,$72,$0A
	.DB	$86,$73,$0A
	.DB	$86,$72,$0A
	.DB	$84,$72,$0A
	.DB	$84,$73,$0A
	.DB	$82,$72,$03
	.DB	$82,$71,$04
	.DB	$82,$72,$05
	.DB	$84,$72,$05
	.DB	$82,$72,$05
	.DB	$86,$73,$05
	.DB	$86,$72,$05
	.DB	$84,$72,$05
	.DB	$84,$73,$05
	.DB	$84,$72,$06
	.DB	$82,$72,$07
	.DB	$84,$72,$07
	.DB	$82,$72,$07
	.DB	$86,$73,$07
	.DB	$86,$72,$07
	.DB	$84,$72,$07
	.DB	$84,$73,$07
	.DB	$82,$73,$0A
	.DB	$82,$73,$0C
	.DB	$FF	
s3f
	.DB	$D6,$82,$05
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$FF

;-LEAD

s40
	.DB	$D9,$84,$13
	.DB	$D9,$84,$16
	.DB	$D9,$84,$1A
	.DB	$D9,$94,$FD,$08,$1D,$1F
	.DB	$D9,$84,$16
	.DB	$D9,$84,$1A
	.DB	$D9,$84,$1D
	.DB	$D9,$88,$FD,$08,$20,$22
	.DB	$D9,$84,$FD,$1F,$24,$26
	.DB	$D9,$82,$24,$81,$26,$24
	.DB	$D9,$84,$22
	.DB	$D9,$86,$FD,$0C,$1F,$21
	.DB	$D9,$86,$1F
	.DB	$D9,$86,$1D
	.DB	$D9,$86,$FD,$0C,$1F,$21
	.DB	$D9,$82,$1F,$81,$21,$1F
	.DB	$D9,$84,$1D
	.DB	$D9,$94,$FD,$0C,$1D,$1F

	.DB	$DA,$82,$79,$0E,$0E,$0B,$09,$07,$05

	.DB	$D9,$84,$13
	.DB	$D9,$84,$16
	.DB	$D9,$84,$1A
	.DB	$D9,$94,$FD,$08,$1D,$1F
	.DB	$D9,$84,$16
	.DB	$D9,$84,$1A
	.DB	$D9,$84,$1D
	.DB	$D9,$88,$FD,$08,$20,$22
	.DB	$D9,$84,$FD,$1F,$24,$26
	.DB	$D9,$82,$24,$81,$26,$24
	.DB	$D9,$84,$22
	.DB	$D9,$86,$FD,$0C,$1F,$21
	.DB	$D9,$86,$1F
	.DB	$D9,$86,$1D
	.DB	$D9,$86,$FD,$0C,$24,$26
	.DB	$D9,$82,$29
	.DB	$D9,$82,$2B
	.DB	$D9,$84,$FD,$2F,$2D,$2E
	.DB	$D9,$94,$FD,$0C,$29,$2B

	.DB	$DA,$82,$79,$0E,$0B,$0E,$0B,$09,$07
	.DB	$FF


;----REF

s41
	.DB	$D9,$84,$16
	.DB	$D9,$84,$1B
	.DB	$D9,$84,$1F
	.DB	$D9,$8C,$FD,$1C,$20,$22
	.DB	$D9,$84,$24
	.DB	$D9,$82,$22,$81,$24,$22
	.DB	$D9,$90,$FD,$1C,$1F,$21
	.DB	$D9,$88,$1D
	.DB	$D9,$88,$1A
	.DB	$D9,$8C,$FD,$0C,$1D,$1F
	.DB	$D9,$8C,$1D
	.DB	$D9,$84,$19
	.DB	$D9,$88,$FD,$4F,$18,$16
	.DB	$D9,$84,$16
	.DB	$D9,$84,$18
	.DB	$D9,$84,$16
	.DB	$D9,$84,$FD,$1F,$18,$1A
	.DB	$D9,$84,$13
	.DB	$D9,$84,$11
	.DB	$D9,$84,$13

	.DB	$D9,$84,$16
	.DB	$D9,$84,$1B
	.DB	$D9,$84,$1F
	.DB	$D9,$8C,$FD,$1C,$20,$22
	.DB	$D9,$84,$24
	.DB	$D9,$84,$25
	.DB	$D9,$8C,$FD,$1C,$25,$26
	.DB	$D9,$88,$29
	.DB	$D9,$84,$2B
	.DB	$D9,$82,$25
	.DB	$D9,$82,$24
	.DB	$D9,$84,$FD,$2F,$22,$24
	.DB	$D9,$84,$FD,$1F,$22,$24
	.DB	$D9,$84,$22
	.DB	$D9,$82,$1F
	.DB	$D9,$82,$1D
	.DB	$D9,$8C,$1F
	.DB	$D9,$82,$1D
	.DB	$D9,$82,$19
	.DB	$D9,$82,$18
	.DB	$D9,$82,$16
	.DB	$D9,$82,$18
	.DB	$D9,$82,$16
	.DB	$D9,$84,$13
	.DB	$D9,$84,$FD,$1F,$11,$13
	.DB	$D9,$82,$11
	.DB	$DE,$88,$13
	.DB	$DA,$82,$79,$0E,$0B,$09,$07,$05
	.DB	$FF
s42
	.DB	$DD,$82,$64,$13
	.DB	$DD,$82,$64,$13,$CD
	.DB	$DD,$82,$64,$13,$CD
	.DB	$DD,$82,$64,$13,$CD
	.DB	$DD,$82,$64,$13
	.DB	$DD,$84,$60,$13
	.DB	$DD,$82,$64,$13,$CD
	.DB	$DD,$84,$60,$13
	.DB	$DD,$82,$64,$13,$CD

	.DB	$DD,$82,$61,$11
	.DB	$DD,$82,$61,$11,$CD
	.DB	$DD,$82,$61,$11,$CD
	.DB	$DD,$82,$61,$11,$CD
	.DB	$DD,$82,$61,$11
	.DB	$DD,$84,$65,$11
	.DB	$DD,$82,$61,$11,$CD
	.DB	$DD,$84,$65,$11
	.DB	$DD,$82,$61,$11,$CD

	.DB	$DD,$82,$60,$13
	.DB	$DD,$82,$60,$13,$CD
	.DB	$DD,$82,$60,$13,$CD
	.DB	$DD,$82,$60,$13,$CD
	.DB	$DD,$82,$60,$13
	.DB	$DD,$84,$65,$16
	.DB	$DD,$82,$64,$15,$CD
	.DB	$DD,$84,$60,$13
	.DB	$DD,$82,$61,$11,$CD

	.DB	$DD,$82,$62,$0E
	.DB	$DD,$82,$62,$0E,$CD
	.DB	$DD,$82,$62,$0E,$CD
	.DB	$DD,$82,$62,$0E,$CD
	.DB	$DD,$82,$62,$0E
	.DB	$DD,$84,$60,$13
	.DB	$DD,$82,$65,$16,$CD
	.DB	$DD,$84,$62,$1A
	.DB	$DD,$82,$65,$16,$CD
	.DB	$ff
s43
	.DB	$CC
	.DB	$82,$72,$03
	.DB	$84,$72,$03
	.DB	$82,$72,$03
	.DB	$86,$73,$03
	.DB	$86,$72,$02
	.DB	$84,$72,$03
	.DB	$84,$73,$02
	.DB	$82,$72,$03
	.DB	$82,$71,$07
	.DB	$82,$72,$05
	.DB	$84,$72,$05
	.DB	$82,$72,$05
	.DB	$86,$73,$05
	.DB	$86,$72,$05
	.DB	$84,$72,$05
	.DB	$84,$73,$05
	.DB	$82,$72,$05
	.DB	$82,$71,$05
	.DB	$82,$72,$07
	.DB	$84,$72,$07
	.DB	$82,$72,$07
	.DB	$86,$73,$07
	.DB	$86,$72,$05
	.DB	$84,$72,$07
	.DB	$84,$73,$05
	.DB	$84,$72,$02
	.DB	$82,$72,$05
	.DB	$84,$72,$07
	.DB	$82,$72,$05
	.DB	$86,$73,$07
	.DB	$86,$72,$07
	.DB	$84,$72,$05
	.DB	$84,$73,$02
	.DB	$82,$73,$05
	.DB	$82,$73,$07
	.DB	$FF
	

CLEARAUD		.DB	$00,$fe					;EMPTY SFX
s00		.DB	$E1,$ff
sex

;==============================================================
; Part 3 (3.PDS)
;==============================================================

LEVELSTRT0
	.DB	$80,$44
	.DB	$FE
LEVELSTRT1
	.DB	$80,$45
	.DB	$FE
LEVELSTRT2
	.DB	$80,$46
	.DB	$FE
LEVELSTRT3
	.DB	$80,$47
	.DB	$FE


s44
	.DB	$D9,$86,$0C,$13,$84,$18,$86,$16,$11,$84,$13
	.DB	$D9,$86,$14,$18,$84,$1B
	.DB	$D9,$84,$FD,$1F,$1D,$1F
	.DB	$D9,$84,$1D
	.DB	$D9,$84,$FD,$1F,$18,$1A
	.DB	$D9,$84,$1B
	.DB	$D9,$98,$18,$82,$0C
	.DB	$D9,$86,$22
	.DB	$D9,$84,$24,$E1
	.DB	$FF
s45
	.DB	$DD,$86,$65,$03
	.DB	$DD,$86,$60,$0C
	.DB	$DD,$84,$65,$0F
	.DB	$DD,$86,$64,$0E
	.DB	$DD,$86,$61,$0A
	.DB	$DD,$84,$65,$0A
	.DB	$DD,$86,$64,$0C
	.DB	$DD,$86,$63,$0F
	.DB	$DD,$84,$61,$14
	.DB	$DD,$84,$65,$16
	.DB	$DD,$84,$61,$16
	.DB	$DD,$84,$63,$11
	.DB	$DD,$84,$78,$11
	.DB	$DD,$98,$65,$0F,$82,$65,$03
	.DB	$DD,$86,$64,$1A
	.DB	$DD,$84,$65,$1B,$E1
	.DB	$FF
s46
	.DB	$CC
	.DB	$82,$72,$0C
	.DB	$84,$72,$0C
	.DB	$82,$72,$0C
	.DB	$86,$73,$0C
	.DB	$86,$72,$0A
	.DB	$84,$72,$0A
	.DB	$84,$73,$0A
	.DB	$84,$72,$0A
	.DB	$82,$72,$08
	.DB	$84,$72,$08
	.DB	$82,$72,$08
	.DB	$86,$73,$08
	.DB	$86,$72,$07
	.DB	$84,$72,$07
	.DB	$84,$73,$07
	.DB	$84,$72,$07

	.DB	$82,$72,$00
	.DB	$84,$72,$00
	.DB	$82,$72,$00
	.DB	$86,$73,$00
	.DB	$86,$72,$00
	.DB	$84,$73,$00
	.DB	$82,$72,$00
	.DB	$86,$73,$00
	.DB	$84,$73,$00,$E1
	.DB	$FF
s47
	.DB	$D6,$82,$05
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04

	.DB	$D6,$82,$05
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$05
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D5,$82,$04
	.DB	$D7,$84,$04,$E1
	.DB	$FF

CONTSCRN0
	.DB	$85,$4A
	.DB	$85,$4F,$4F
	.DB	$FF,$00
CONTSCRN1
	.DB	$85,$4B,$4D
	.DB	$85,$50,$50
	.DB	$FF,$00
CONTSCRN2
	.DB	$80,$48,$48,$48,$4c
	.DB	$80,$51,$51
	.DB	$FF,$00
CONTSCRN3
	.DB	$80,$49,$49,$49,$4E
	.DB	$80,$49,$52,$49,$52
	.DB	$FF,$00

s48
	.DB	$CE,$8C,$72,$05
	.DB	$CC,$84,$71,$09
	.DB	$CE,$88,$73,$09
	.DB	$CC,$88,$71,$0C
	.DB	$CE,$8C,$72,$0A
	.DB	$CC,$84,$71,$0E
	.DB	$CE,$88,$73,$0E
	.DB	$CC,$88,$71,$11
	.DB	$CE,$8C,$72,$05
	.DB	$CC,$84,$71,$09
	.DB	$CE,$88,$73,$09
	.DB	$CC,$88,$71,$0C
	.DB	$CE,$8C,$72,$00
	.DB	$CC,$84,$71,$04
	.DB	$CE,$88,$73,$04
	.DB	$CC,$88,$71,$07
	.DB	$FF
s49
	.DB	$D6,$88,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D7,$88,$04
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D6,$88,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D7,$88,$04
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D6,$88,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D7,$88,$04
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D6,$88,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D7,$88,$04
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$FF

s4a
	.DB	$D9,$8C,$FD,$0F,$0E,$10
	.DB	$D9,$84,$10
	.DB	$D9,$84,$11
	.DB	$D9,$84,$13,$C5,$11
	.DB	$D9,$8C,$FD,$2F,$11,$13
	.DB	$D9,$84,$11,$82,$13,$11
	.DB	$DE,$88,$10
	.DB	$D9,$88,$0E
	.DB	$D9,$84,$10
	.DB	$D9,$84,$11
	.DB	$D9,$84,$10
	.DB	$DE,$8C,$0E
	.DB	$D9,$84,$0C,$C5,$0E
	.DB	$D9,$84,$FD,$2F,$0E,$10
	.DB	$D9,$84,$0E
	.DB	$D9,$84,$0C
	.DB	$DE,$90,$0E
	
	.DB	$D9,$82,$07,$0c

	.DB	$D9,$8C,$FD,$0F,$0E,$10
	.DB	$D9,$84,$10
	.DB	$D9,$84,$11
	.DB	$D9,$84,$13,$C5,$11
	.DB	$D9,$8C,$FD,$4F,$13,$15
	.DB	$D9,$84,$11
	.DB	$D9,$84,$0C,$C5,$11,$C5,$0C
	.DB	$D9,$84,$1A,$C5
	.DB	$D9,$84,$1C
	.DB	$D9,$84,$1D
	.DB	$D9,$84,$1C
	.DB	$DE,$88,$1A
	.DB	$D9,$82,$1C,$1A
	.DB	$D9,$84,$18,$C5,$1C
	.DB	$D9,$A0,$FD,$2F,$1D,$1F

	.DB	$D9,$8C,$FD,$0F,$1A,$1C
	.DB	$D9,$84,$1C
	.DB	$D9,$84,$1D
	.DB	$D9,$84,$1F,$C5,$1D
	.DB	$D9,$8C,$FD,$08,$1D,$1F
	.DB	$D9,$84,$1D,$82,$1F,$1D
	.DB	$D9,$88,$1C
	.DB	$DE,$88,$1A
	.DB	$D9,$84,$1C,$1D,$1C
	.DB	$DE,$8C,$1A
	.DB	$D9,$84,$18,$C5,$1A
	.DB	$D9,$84,$FD,$2F,$1A,$1C
	.DB	$D9,$84,$1A
	.DB	$D9,$84,$18
	.DB	$DE,$90,$1A
	
	.DB	$D9,$82,$13,$18

	.DB	$D9,$8C,$FD,$0F,$1A,$1C
	.DB	$D9,$84,$1C,$1D
	.DB	$D9,$84,$1F,$C5,$1D
	.DB	$D9,$8C,$FD,$4F,$1F,$21
	.DB	$D9,$84,$1D
	.DB	$D9,$84,$18,$C5,$1D
	.DB	$D9,$84,$1A,$16,$15,$13,$17,$1A,$13,$1F
	.DB	$1D,$1B,$1C,$18,$13,$11,$0f,$10,$0c,$0a,$07
	.DB	$FF
s4b
	.DB	$DD,$88,$76,$00
	.DB	$DD,$88,$63,$13
	.DB	$DD,$88,$64,$10
	.DB	$DD,$88,$63,$13
	.DB	$DD,$88,$76,$05
	.DB	$DD,$88,$64,$15
	.DB	$DD,$88,$61,$11
	.DB	$DD,$88,$64,$15
	.DB	$DD,$88,$76,$00
	.DB	$DD,$88,$63,$13
	.DB	$DD,$88,$64,$10
	.DB	$DD,$88,$63,$13
	.DB	$DD,$88,$76,$07
	.DB	$DD,$88,$61,$13
	.DB	$DD,$88,$63,$0E
	.DB	$DD,$88,$61,$13
	.DB	$DD,$88,$76,$00
	.DB	$DD,$88,$63,$13
	.DB	$DD,$88,$64,$10
	.DB	$DD,$88,$63,$13
	.DB	$DD,$88,$76,$05
	.DB	$DD,$88,$64,$15
	.DB	$DD,$88,$61,$11
	.DB	$DD,$88,$64,$15
	.DB	$DD,$88,$76,$00
	.DB	$DD,$88,$63,$13
	.DB	$DD,$88,$64,$10
	.DB	$DD,$88,$63,$13
	.DB	$DD,$88,$76,$07
	.DB	$DD,$88,$64,$17
	.DB	$DD,$88,$61,$13
	.DB	$DD,$88,$63,$0E
	.DB	$FF

s4c
	.DB	$CE,$8C,$72,$05
	.DB	$CC,$84,$71,$09
	.DB	$CE,$88,$73,$09
	.DB	$CC,$88,$71,$0C
	.DB	$CE,$8C,$72,$0A
	.DB	$CC,$84,$71,$0E
	.DB	$CE,$88,$73,$0E
	.DB	$CC,$88,$71,$11
	.DB	$CE,$8C,$72,$00
	.DB	$CC,$84,$71,$04
	.DB	$CE,$88,$73,$04
	.DB	$CC,$88,$71,$07

	.DB	$CE,$88,$72,$05
	.DB	$CE,$84,$73,$05
	.DB	$CE,$84,$73,$05
	.DB	$CE,$84,$72,$11
	.DB	$CE,$82,$73,$11
	.DB	$CE,$82,$73,$11
	.DB	$CE,$84,$73,$11
	.DB	$CE,$84,$73,$11
	.DB	$FF	
s4d
	.DB	$DD,$88,$76,$00
	.DB	$DD,$88,$63,$13
	.DB	$DD,$88,$64,$10
	.DB	$DD,$88,$63,$13
	.DB	$DD,$88,$76,$05
	.DB	$DD,$88,$64,$15
	.DB	$DD,$88,$61,$11
	.DB	$DD,$88,$64,$15
	.DB	$DD,$88,$76,$00
	.DB	$DD,$88,$63,$13
	.DB	$DD,$88,$64,$10
	.DB	$DD,$88,$63,$13
	.DB	$DD,$88,$76,$07
	.DB	$DD,$88,$61,$13
	.DB	$DD,$88,$63,$0E
	.DB	$DD,$88,$61,$13
	.DB	$DD,$88,$76,$00
	.DB	$DD,$88,$63,$13
	.DB	$DD,$88,$64,$10
	.DB	$DD,$88,$63,$13
	.DB	$DD,$88,$76,$05
	.DB	$DD,$88,$64,$15
	.DB	$DD,$88,$61,$11
	.DB	$DD,$88,$64,$15
	.DB	$DD,$88,$76,$07
	.DB	$DD,$88,$64,$17
	.DB	$DD,$88,$63,$1A
	.DB	$DD,$88,$64,$17
	.DB	$DD,$88,$76,$00
	.DB	$DD,$88,$64,$1c
	.DB	$DD,$90,$64,$1c
	.DB	$FF
s4e
	.DB	$D6,$88,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D7,$88,$04
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D6,$88,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D7,$88,$04
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D6,$88,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D7,$88,$04
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D6,$88,$05
	.DB	$D7,$84,$04
	.DB	$D7,$84,$04
	.DB	$D7,$84,$04
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$D7,$84,$04
	.DB	$D7,$84,$04
	.DB	$ff
s4f
	.DB	$D9,$84,$03
	.DB	$D9,$84,$0F
	.DB	$D9,$84,$1B
	.DB	$D9,$84,$1B
	.DB	$D9,$88,$FD,$08,$1A,$1B
	.DB	$D9,$84,$1D
	.DB	$D9,$84,$1B
	.DB	$D9,$84,$FD,$1F,$18,$1A
	.DB	$D9,$84,$18
	.DB	$D9,$84,$16
	.DB	$D9,$84,$11,$C5
	.DB	$D9,$84,$13,$C5
	.DB	$D9,$8C,$FD,$4F,$16,$14
	.DB	$D9,$84,$18
	.DB	$D9,$84,$1A
	.DB	$D9,$84,$FD,$1F,$1A,$1B
	.DB	$D9,$84,$18
	.DB	$D9,$84,$1A
	.DB	$D9,$84,$1B
	.DB	$D9,$84,$FD,$1F,$1D,$1F
	.DB	$D9,$84,$1D
	.DB	$D9,$84,$1B
	.DB	$DE,$88,$1D
	.DB	$D9,$84,$1A
	.DB	$D9,$84,$1B
	.DB	$D9,$84,$1D
	.DB	$D9,$88,$FD,$2F,$1D,$1F
	.DB	$D9,$84,$1D
	.DB	$DE,$88,$1B
	.DB	$D9,$84,$16
	.DB	$D9,$84,$1F
	.DB	$D9,$84,$22
	.DB	$D9,$84,$FD,$2F,$22,$24
	.DB	$D9,$84,$22
	.DB	$D9,$84,$21
	.DB	$D9,$8A,$1F,$81,$21,$1F
	.DB	$D9,$84,$1D,$C5
	.DB	$D9,$A0,$FD,$04,$1D,$1F

	.DB	$DA,$84,$79,$0A,$88,$0A,$07,$84,$04,$88,$01
	.DB	$FF
s50
	.DB	$DD,$88,$76,$08
	.DB	$DD,$88,$61,$14
	.DB	$DD,$88,$63,$0F
	.DB	$DD,$88,$61,$14
	.DB	$DD,$88,$76,$0A
	.DB	$DD,$88,$61,$16
	.DB	$DD,$88,$63,$11
	.DB	$DD,$88,$61,$16
	.DB	$DD,$88,$76,$08
	.DB	$DD,$88,$61,$14
	.DB	$DD,$88,$63,$0F
	.DB	$DD,$88,$61,$14
	.DB	$DD,$88,$76,$0A
	.DB	$DD,$88,$61,$16
	.DB	$DD,$88,$63,$11
	.DB	$DD,$88,$61,$16
	.DB	$DD,$88,$76,$03
	.DB	$DD,$88,$63,$16
	.DB	$DD,$88,$64,$13
	.DB	$DD,$88,$63,$16
	.DB	$DD,$88,$76,$05
	.DB	$DD,$88,$63,$18
	.DB	$DD,$88,$64,$15
	.DB	$DD,$88,$63,$18
	.DB	$DD,$88,$76,$07
	.DB	$DD,$88,$63,$1A
	.DB	$DD,$88,$63,$18
	.DB	$DD,$88,$64,$17
	.DB	$DD,$88,$64,$15
	.DB	$DD,$88,$61,$13
	.DB	$DD,$88,$61,$11
	.DB	$DD,$88,$63,$0E
	.DB	$FF

s51
	.DB	$CE,$8C,$72,$01
	.DB	$CC,$84,$71,$01
	.DB	$CE,$88,$73,$05
	.DB	$CC,$88,$71,$01
	.DB	$CE,$8C,$72,$03
	.DB	$CC,$84,$71,$03
	.DB	$CE,$84,$73,$07
	.DB	$CE,$84,$71,$08
	.DB	$CE,$84,$71,$07
	.DB	$CE,$84,$71,$03

	.DB	$CE,$8C,$72,$01
	.DB	$CC,$84,$71,$01
	.DB	$CE,$88,$73,$05
	.DB	$CC,$88,$71,$01
	.DB	$CE,$8C,$72,$03
	.DB	$CC,$84,$71,$03
	.DB	$CE,$84,$73,$07
	.DB	$CE,$84,$71,$03
	.DB	$CE,$84,$71,$05
	.DB	$CE,$84,$71,$07

	.DB	$CE,$8C,$72,$08
	.DB	$CC,$84,$71,$08
	.DB	$CE,$88,$73,$03
	.DB	$CC,$88,$71,$08
	.DB	$CE,$8C,$72,$0A
	.DB	$CC,$84,$71,$0A
	.DB	$CE,$84,$73,$05
	.DB	$CE,$84,$71,$0A
	.DB	$CE,$84,$71,$0E
	.DB	$CE,$84,$71,$0A

	.DB	$CE,$88,$72,$0C
	.DB	$CC,$88,$71,$00
	.DB	$CE,$88,$73,$0A
	.DB	$CC,$88,$71,$0C
	.DB	$CE,$84,$72,$00
	.DB	$CE,$84,$73,$0C
	.DB	$CE,$84,$73,$0A
	.DB	$CE,$84,$72,$00
	.DB	$CE,$84,$73,$0A
	.DB	$CE,$84,$73,$00
	.DB	$CE,$84,$73,$0A
	.DB	$CE,$84,$73,$0C
	.DB	$FF
s52
	.DB	$D6,$88,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D7,$88,$04
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D6,$88,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D7,$88,$04
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D6,$88,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D7,$88,$04
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D6,$84,$05
	.DB	$D7,$84,$04
	.DB	$D7,$84,$04
	.DB	$D6,$84,$05
	.DB	$D7,$84,$04
	.DB	$D7,$84,$04
	.DB	$D7,$84,$04
	.DB	$D7,$84,$04
	.DB	$FF
GAMEMAP0
	.DB	$80,$53
	.DB	$FF,$00
GAMEMAP1
	.DB	$82,$55,$8E,$55
	.DB	$FF,$00
GAMEMAP2
	.DB	$80,$27,$27,$27,$27
	.DB	$80,$27,$27,$27,$27
	.DB	$82,$56
	.DB	$FF,$00
GAMEMAP3
	.DB	$80,$54
	.DB	$FF,$00

s53
	.DB	$CE,$88,$72,$02
	.DB	$CC,$84,$73,$02
	.DB	$CC,$84,$72,$02
	.DB	$CC,$84,$72,$05
	.DB	$CC,$84,$71,$07
	.DB	$CC,$84,$73,$07
	.DB	$CC,$84,$71,$0C
	.DB	$CC,$84,$72,$0C
	.DB	$CC,$84,$71,$0C
	.DB	$CC,$84,$73,$0C
	.DB	$CC,$84,$72,$0C
	.DB	$CC,$84,$72,$09
	.DB	$CC,$84,$71,$07
	.DB	$CC,$84,$73,$04
	.DB	$CC,$84,$71,$05
	.DB	$CE,$88,$72,$02
	.DB	$CC,$84,$73,$02
	.DB	$CC,$84,$72,$02
	.DB	$CC,$84,$72,$05
	.DB	$CC,$84,$71,$07
	.DB	$CC,$84,$73,$07
	.DB	$CC,$84,$72,$00
	.DB	$CC,$84,$72,$00
	.DB	$CC,$84,$72,$00
	.DB	$CC,$84,$73,$00
	.DB	$CC,$84,$72,$00
	.DB	$CC,$82,$73,$0C
	.DB	$CC,$84,$73,$09
	.DB	$CC,$82,$73,$08
	.DB	$CC,$84,$73,$07
	.DB	$CC,$82,$73,$05
	.DB	$CC,$82,$73,$07
	.DB	$FF
s54
	.DB	$D6,$84,$05
	.DB	$D5,$84,$04
	.DB	$D7,$84,$04
	.DB	$D6,$84,$05
	.DB	$D6,$84,$05
	.DB	$D5,$84,$04
	.DB	$D7,$84,$04
	.DB	$D5,$84,$04
	.DB	$D6,$84,$05
	.DB	$D5,$84,$04
	.DB	$D7,$84,$04
	.DB	$D6,$84,$05
	.DB	$D6,$84,$05
	.DB	$D5,$84,$04
	.DB	$D7,$84,$04
	.DB	$D5,$84,$04
	.DB	$D6,$84,$05
	.DB	$D5,$84,$04
	.DB	$D7,$84,$04
	.DB	$D6,$84,$05
	.DB	$D6,$84,$05
	.DB	$D5,$84,$04
	.DB	$D7,$84,$04
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D5,$84,$04
	.DB	$D7,$84,$04
	.DB	$D5,$84,$04
	.DB	$D7,$82,$04
	.DB	$D7,$84,$04
	.DB	$D7,$82,$04
	.DB	$D7,$84,$04
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$FF
s55
	.DB	$CD,$A0,$60,$0C
	.DB	$CD,$90,$65,$0A,$61,$0A
	.DB	$CD,$A0,$60,$0C
	.DB	$CD,$90,$64,$0E,$61,$0A
	.DB	$FF
s56
	.DB	$D9,$84,$0A
	.DB	$D9,$84,$0C
	.DB	$D9,$84,$13
	.DB	$D9,$84,$13
	.DB	$D9,$84,$FD,$1F,$11,$13
	.DB	$D9,$84,$13
	.DB	$D9,$84,$11
	.DB	$D9,$84,$0F
	.DB	$DE,$88,$FD,$1F,$0F,$11
	.DB	$D9,$84,$0F
	.DB	$DE,$88,$FD,$1F,$0F,$11
	.DB	$D9,$88,$0F
	.DB	$D9,$84,$FD,$0F,$11,$13,$C5
	.DB	$D9,$84,$0C
	.DB	$D9,$84,$13
	.DB	$D9,$84,$13
	.DB	$D9,$84,$FD,$1F,$11,$13
	.DB	$D9,$84,$13
	.DB	$D9,$84,$11
	.DB	$D9,$84,$0F
	.DB	$D9,$88,$FD,$2F,$11,$12
	.DB	$D9,$88,$FD,$4F,$11,$0F
	.DB	$DE,$88,$0F
	.DB	$D9,$84,$11
	.DB	$DE,$88,$0F
	.DB	$D9,$88,$FD,$4F,$0A,$0C

	.DB	$D9,$84,$13
	.DB	$D9,$84,$FD,$1F,$15,$16
	.DB	$D9,$84,$12
	.DB	$D9,$84,$11
	.DB	$D9,$84,$0F
	.DB	$DE,$88,$FD,$1F,$0F,$11
	.DB	$D9,$84,$18
	.DB	$DE,$88,$FD,$1F,$15,$16
	.DB	$D9,$88,$18
	.DB	$DE,$88,$FD,$1F,$11,$12
	.DB	$D9,$84,$11
	.DB	$D9,$84,$0F
	.DB	$D9,$84,$0C
	.DB	$D9,$84,$FD,$1F,$0E,$0F
	.DB	$D9,$84,$0E
	.DB	$D9,$84,$0A
	.DB	$D9,$84,$16
	.DB	$D9,$8C,$FD,$2F,$1A,$1B
	.DB	$D9,$84,$1D
	.DB	$D9,$84,$FD,$1F,$18,$1A
	.DB	$DE,$84,$18
	.DB	$D9,$88,$FD,$4F,$16,$18
	.DB	$D9,$A0,$FD,$1F,$16,$18
	.DB	$D9,$88,$FD,$1F,$1A,$1B
	.DB	$D9,$86,$1A,$81,$1B,$1A
	.DB	$D9,$88,$16
	.DB	$D9,$88,$13
	.DB	$D9,$A0,$FD,$1F,$16,$18
	.DB	$DE,$84,$FD,$1F,$1A,$1B
	.DB	$D9,$84,$18
	.DB	$DE,$84,$1B
	.DB	$D9,$84,$1D
	.DB	$DE,$88,$FD,$1F,$1D,$1E
	.DB	$D9,$82,$1D
	.DB	$D9,$82,$1B
	.DB	$DE,$84,$18
	.DB	$FF
LEVELCMP0
	.DB	$80,$57
	.DB	$FE
LEVELCMP1
	.DB	$80,$58
	.DB	$FE
LEVELCMP2
	.DB	$80,$59
	.DB	$FE
LEVELCMP3
	.DB	$80,$5A
	.DB	$FE

s57
	.DB	$D9,$82,$18
	.DB	$D9,$82,$1D,$C5
	.DB	$D9,$82,$1F,$C5
	.DB	$DE,$84,$22,$C5,$82
	.DB	$DE,$86,$1B
	.DB	$DE,$86,$1D
	.DB	$D9,$82,$16,$C5
	.DB	$D9,$82,$18,$C5,$C5
	.DB	$DE,$86,$18
	.DB	$D9,$83,$22,$E1
	.DB	$D9,$83,$24,$E1
	.DB	$FF
s58
	.DB	$DD,$82,$65,$0F
	.DB	$DD,$82,$61,$16,$DB
	.DB	$DD,$82,$60,$18,$DB
	.DB	$DD,$84,$61,$1B,$DB,$82
	.DB	$DD,$86,$64,$13
	.DB	$DD,$86,$64,$15
	.DB	$DD,$82,$64,$0E,$DB
	.DB	$DD,$82,$65,$0F,$DB,$DB
	.DB	$DD,$86,$65,$0F
	.DB	$DD,$83,$64,$1A,$E1
	.DB	$DD,$83,$65,$1B,$E1
	.DB	$FF
s59
	.DB	$82,$72,$0C
	.DB	$83,$73,$11,$E1
	.DB	$83,$73,$13,$E1
	.DB	$84,$73,$16,$E2
	.DB	$86,$72,$0F
	.DB	$86,$73,$11
	.DB	$83,$72,$0A,$E1
	.DB	$83,$72,$0C,$E3
	.DB	$86,$72,$0C
	.DB	$83,$73,$16,$E1
	.DB	$83,$73,$18,$E1
	.DB	$FF
s5a
	.DB	$D6,$82,$05
	.DB	$D7,$84,$04
	.DB	$D7,$84,$04
	.DB	$D7,$84,$04
	.DB	$D5,$82,$04
	.DB	$D6,$84,$05
	.DB	$D5,$82,$04
	.DB	$D7,$84,$04
	.DB	$D5,$82,$04
	.DB	$D6,$84,$05
	.DB	$D6,$84,$05
	.DB	$D5,$82,$04
	.DB	$D6,$84,$05
	.DB	$D5,$82,$04
	.DB	$D7,$84,$04
	.DB	$D7,$84,$04,$E1
	.DB	$FF
LEVEL10
	.DB	$80,$27,$27,$27,$27
	.DB	$80,$5B,$5B,$85,$5E,$5F,$5E,$60,$5F,$60,$65,$65,$65,$66
	.DB	$FF,$00
LEVEL11
	.DB	$80,$5C
	.DB	$FF,$00
LEVEL13
	.DB	$80,$5D
	.DB	$FF,$00
	
s5b
	.DB	$DD,$84,$7F,$03,$05
	.DB	$84,$05,$02,$86,$03,$84,$03,$82,$00,$02,$84,$03
	.DB	$82,$05,$84,$05
	.DB	$00,$02,$82,$02,$03,$0F,$0E,$0C,$0A,$08,$09
	.DB	$DD,$84,$7F,$03,$05
	.DB	$84,$05,$02,$86,$03,$84,$03,$82,$00,$02,$84,$03
	.DB	$82,$05,$84,$05
	.DB	$00,$02,$82,$02,$03,$0F,$0E,$0F,$11,$14,$15
	.DB	$FF
s5c
	.DB	$DA,$82,$79,$02
	.DB	$DA,$84,$0C
	.DB	$DA,$82,$02
	.DB	$DA,$84,$08
	.DB	$DA,$82,$02
	.DB	$DA,$82,$02
	.DB	$DA,$82,$02
	.DB	$DA,$84,$0C
	.DB	$DA,$82,$02
	.DB	$DA,$82,$08
	.DB	$DA,$82,$02
	.DB	$DA,$84,$02
	.DB	$DA,$82,$02
	.DB	$DA,$84,$0C
	.DB	$DA,$82,$02
	.DB	$DA,$84,$08
	.DB	$DA,$82,$02
	.DB	$DA,$82,$02
	.DB	$DA,$82,$02
	.DB	$DA,$84,$0C
	.DB	$DA,$82,$02
	.DB	$DA,$82,$08
	.DB	$DA,$82,$02
	.DB	$DA,$82,$08
	.DB	$DA,$82,$08
	.DB	$FF
s5d
	.DB	$D6,$82,$06
	.DB	$D7,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$06
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$06
	.DB	$D6,$82,$06
	.DB	$D6,$82,$06
	.DB	$D7,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$06
	.DB	$D7,$82,$04
	.DB	$D6,$82,$06
	.DB	$D6,$82,$06
	.DB	$D5,$82,$04
	.DB	$D6,$82,$06
	.DB	$D7,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$06
	.DB	$D7,$82,$04
	.DB	$D5,$82,$04
	.DB	$D6,$82,$06
	.DB	$D6,$82,$06
	.DB	$D6,$82,$06
	.DB	$D7,$82,$05
	.DB	$D5,$82,$04
	.DB	$D6,$82,$06
	.DB	$D7,$82,$04
	.DB	$D6,$82,$06
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$FF
s5e
	.DB	$DD,$84,$63,$11,$13,$13
	.DB	$DD,$84,$64,$10
	.DB	$DD,$82,$64,$10
	.DB	$DD,$84,$63,$11
	.DB	$DD,$84,$63,$11
	.DB	$DD,$84,$61,$16
	.DB	$DD,$82,$65,$16
	.DB	$DD,$82,$63,$11
	.DB	$DD,$82,$63,$13
	.DB	$DD,$84,$63,$13
	.DB	$DD,$84,$63,$13
	.DB	$DD,$84,$64,$10
	.DB	$DD,$84,$63,$11
	.DB	$DD,$82,$64,$10
	.DB	$DD,$84,$64,$0E
	.DB	$DD,$82,$63,$11
	.DB	$DD,$84,$61,$16
	.DB	$FF
s5f
	.DB	$DD,$84,$63,$16
	.DB	$DD,$84,$63,$16
	.DB	$DD,$84,$61,$1B
	.DB	$DD,$84,$61,$1B
	.DB	$DD,$84,$63,$18,$CD,$82
	.DB	$DD,$84,$64,$15,$CD,$82
	.DB	$DD,$88,$63,$13
	.DB	$DD,$82,$63,$11
	.DB	$DD,$82,$64,$10

 	.DB	$DA,$82,$79,$0A,$84,$0A,$07,$82,$0A,$07,$05,$07,$05
	.DB	$84,$02
	.DB	$FF
s60
	.DB	$DD,$84,$63,$16
	.DB	$DD,$84,$63,$16
	.DB	$DD,$84,$61,$16
	.DB	$DD,$84,$63,$16
	.DB	$DD,$84,$63,$18,$CD,$82
	.DB	$DD,$84,$64,$1A,$CD,$82
	.DB	$DD,$88,$61,$1B
	.DB	$DD,$82,$65,$1B
	.DB	$DD,$82,$65,$1B

 	.DB	$DA,$82,$79,$0A,$84,$0A,$07,$82,$0A,$07,$05,$07,$05
	.DB	$84,$02
	.DB	$FF
s65
	.DB	$DD,$84,$7F,$0C,$0C,$07,$07,$0A,$82,$0A,$84,$05
	.DB	$82,$07,$0A,$07,$0A,$0C,$84,$0C,$07,$06,$05,$82,$03,$84,$00
	.DB	$82,$07,$0A,$07
	.DB	$FF
s66
	.DB	$DD,$84,$7F,$0C,$0C,$07,$07,$0A,$82,$0A,$84,$05
	.DB	$82,$07,$0A,$07,$0C,$0A,$07,$86,$06,$82,$05,$03
	.DB	$82,$05,$07,$0A,$0C,$0F,$10,$0C,$0A

	.DB	$82,$0A,$0C,$E2,$86,$0C,$84,$00,$86,$03,$05,$82,$06,$07
	.DB	$82,$0A,$0C,$E2,$86,$0C,$84,$00,$86,$03,$06,$84,$05
	.DB	$82,$03,$00,$05,$86,$03,$82,$07,$86,$05,$82,$0A,$84,$06
	.DB	$82,$07,$0A,$0C,$12,$11,$0F,$12,$11,$0F,$0C,$0A,$0C
	.DB	$82,$06,$84,$05,$03,$05
	.DB	$A0,$00,$8C,$03,$05,$88,$07
	.DB	$82,$00,$00,$E2,$00,$E2,$00,$E2,$92,$03
	.DB	$82,$05,$05,$E2,$05,$E2,$05,$E2,$84,$06,$82,$07,$0A,$0C
	.DB	$84,$00,$00
	.DB	$FF

LEVEL20
	.DB	$80,$61,$67,$61,$68
	.DB	$80,$69,$69
	.DB	$FF,$00
LEVEL21
	.DB	$80,$62,$62,$64,$64
	.DB	$80,$6A,$6A
	.DB	$FF,$00
LEVEL23
	.DB	$80,$63
	.DB	$FF,$00


s61
	.DB	$D9,$8C,$FD,$1F,$0A,$0C,$C5,$88
	.DB	$D9,$82,$0C,$C5
	.DB	$DE,$84,$0F
	.DB	$D9,$84,$11
	.DB	$D9,$88,$FD,$4F,$12,$11
	.DB	$DE,$88,$FD,$1F,$0F,$11,$C5,$84
	.DB	$D9,$82,$0C,$C5
	.DB	$DE,$84,$0F
	.DB	$D9,$84,$11
	.DB	$D9,$88,$FD,$4F,$12,$11
	.DB	$DE,$88,$FD,$1F,$0F,$11,$C5,$84
	.DB	$D9,$84,$0A
	.DB	$D9,$84,$0C
	.DB	$DE,$88,$FD,$1F,$0E,$0F
	.DB	$D9,$84,$FD,$1F,$0C,$0E,$C5
	.DB	$D9,$88,$FD,$1F,$0A,$0C

	.DB	$DA,$82,$79,$0C,$84,$09,$82,$06,$84,$03

	.DB	$D9,$8C,$FD,$1F,$0A,$0C,$C5,$88
	.DB	$D9,$82,$0C,$C5
	.DB	$DE,$84,$0F
	.DB	$D9,$84,$11
	.DB	$D9,$88,$FD,$4F,$12,$11
	.DB	$DE,$88,$FD,$1F,$0F,$11,$C5,$84
	.DB	$D9,$82,$0C,$C5
	.DB	$DE,$84,$0F
	.DB	$D9,$84,$11
	.DB	$D9,$88,$FD,$4F,$12,$11
	.DB	$DE,$84,$FD,$1F,$0F,$11
	.DB	$D9,$84,$12
	.DB	$DE,$84,$13
	.DB	$D9,$84,$16
	.DB	$D9,$84,$18
	.DB	$FF
s67
	.DB	$DE,$88,$FD,$1F,$1A,$1B
	.DB	$D9,$84,$FD,$1F,$18,$1A,$C5
	.DB	$D9,$88,$FD,$1F,$16,$18

	.DB	$CF,$82,$76,$1B,$1A,$18,$13,$11,$0F
	.DB	$FF
s68
	.DB	$DE,$88,$FD,$1F,$1A,$1B
	.DB	$D9,$82,$1A,$81,$1B,$1A
	.DB	$D9,$84,$18
	.DB	$D9,$84,$16
	.DB	$D9,$84,$18
	.DB	$D9,$84,$1A
	.DB	$DE,$84,$1B
	.DB	$D9,$84,$1F
	.DB	$FF
s62
	.DB	$CE,$88,$72,$00
	.DB	$CC,$84,$73,$00
	.DB	$CC,$88,$72,$00
	.DB	$CC,$84,$72,$00
	.DB	$CC,$82,$73,$00
	.DB	$CC,$86,$72,$03
	.DB	$CE,$88,$72,$05
	.DB	$CC,$84,$73,$05
	.DB	$CC,$88,$72,$05
	.DB	$CC,$84,$72,$05
	.DB	$CC,$82,$73,$05
	.DB	$CC,$86,$72,$06
	.DB	$CE,$88,$72,$07
	.DB	$CC,$84,$73,$07
	.DB	$CC,$88,$72,$07
	.DB	$CC,$84,$72,$06
	.DB	$CC,$82,$73,$05
	.DB	$CC,$86,$72,$03
	.DB	$CE,$88,$72,$00
	.DB	$CC,$84,$73,$00
	.DB	$CC,$88,$72,$00
	.DB	$CC,$84,$72,$07
	.DB	$CC,$82,$73,$0A
	.DB	$CE,$82,$73,$0C
	.DB	$CC,$82,$73,$0A
	.DB	$CE,$82,$73,$0C
	.DB	$FF
s63
	.DB	$D5,$84,$05
	.DB	$D5,$84,$04
	.DB	$D7,$84,$04
	.DB	$D5,$84,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$05
	.DB	$D7,$82,$04
	.DB	$D5,$82,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$05
	.DB	$D5,$84,$04
	.DB	$D7,$84,$04
	.DB	$D5,$84,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$05
	.DB	$D7,$82,$04
	.DB	$D5,$82,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$05
	.DB	$D5,$84,$04
	.DB	$D7,$84,$04
	.DB	$D5,$84,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$05
	.DB	$D7,$82,$04
	.DB	$D5,$82,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$05
	.DB	$D5,$84,$04
	.DB	$D7,$84,$04
	.DB	$D5,$84,$05
	.DB	$D5,$84,$04
	.DB	$D5,$84,$05
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$D7,$82,$04
	.DB	$FF
s64
	.DB	$CE,$84,$72,$00
	.DB	$C7,$84,$60,$18
	.DB	$CC,$84,$73,$00
	.DB	$CC,$84,$72,$00
	.DB	$C7,$84,$60,$18
	.DB	$CC,$84,$72,$00
	.DB	$CC,$82,$73,$00
	.DB	$CC,$84,$72,$03
	.DB	$C7,$82,$60,$18
	.DB	$CE,$84,$72,$05
	.DB	$C7,$84,$62,$18
	.DB	$CC,$84,$73,$05
	.DB	$CC,$84,$72,$05
	.DB	$C7,$84,$62,$18
	.DB	$CC,$84,$72,$05
	.DB	$CC,$82,$73,$05
	.DB	$CC,$84,$72,$06
	.DB	$C7,$82,$62,$18
	.DB	$CE,$84,$72,$07
	.DB	$C7,$84,$61,$16
	.DB	$CC,$84,$73,$07
	.DB	$CC,$84,$72,$07
	.DB	$C7,$84,$61,$16
	.DB	$CC,$84,$72,$06
	.DB	$CC,$82,$73,$05
	.DB	$CC,$84,$72,$03
	.DB	$C7,$82,$63,$11
	.DB	$CE,$84,$72,$00
	.DB	$C7,$84,$62,$13
	.DB	$CC,$84,$73,$00
	.DB	$CC,$84,$72,$00
	.DB	$C7,$84,$62,$13
	.DB	$CC,$84,$72,$07
	.DB	$CC,$82,$73,$0A
	.DB	$CE,$82,$73,$0C
	.DB	$CC,$82,$73,$0A
	.DB	$CE,$82,$73,$0C
	.DB	$FF
s69
	.DB	$D9,$88,$FD,$1F,$1F,$20
	.DB	$D9,$84,$1F
	.DB	$D9,$84,$1D
	.DB	$DE,$84,$1F
	.DB	$D9,$84,$16
	.DB	$DE,$84,$1B
	.DB	$D9,$84,$1F
	.DB	$DE,$84,$FD,$1F,$1F,$20
	.DB	$D9,$84,$22
	.DB	$DE,$84,$20
	.DB	$D9,$88,$FD,$4F,$20,$1F
	.DB	$D9,$84,$1F
	.DB	$D9,$82,$1D,$81,$1F,$1D
	.DB	$D9,$84,$1B
	.DB	$D9,$84,$1A
	.DB	$D9,$84,$18
	.DB	$D9,$84,$16
	.DB	$DE,$8C,$FD,$1F,$1A,$1B
	.DB	$D9,$86,$FD,$1F,$18,$1A,$81,$1B,$1A
	.DB	$D9,$84,$FD,$1F,$16,$18,$1D,$1F,$94,$FD,$18,$22,$24
	.DB	$FF
s6a
	.DB	$CE,$84,$72,$05
	.DB	$C7,$84,$62,$18
	.DB	$CC,$84,$73,$05
	.DB	$CC,$84,$72,$05
	.DB	$C7,$84,$63,$16
	.DB	$CC,$84,$72,$03
	.DB	$CC,$82,$73,$03
	.DB	$CC,$84,$72,$03
	.DB	$C7,$82,$63,$16
	.DB	$CE,$84,$72,$05
	.DB	$C7,$84,$62,$18
	.DB	$CC,$84,$73,$05
	.DB	$CC,$84,$72,$05
	.DB	$C7,$84,$63,$16
	.DB	$CC,$84,$72,$03
	.DB	$CC,$82,$73,$03
	.DB	$CC,$84,$72,$03
	.DB	$C7,$82,$63,$16

	.DB	$CE,$84,$72,$0A
	.DB	$C7,$84,$61,$16
	.DB	$CC,$84,$73,$0A
	.DB	$CC,$84,$72,$0A
	.DB	$C7,$84,$65,$16
	.DB	$CC,$84,$72,$07
	.DB	$CC,$82,$73,$07
	.DB	$CC,$84,$72,$07
	.DB	$C7,$82,$62,$13
	.DB	$CE,$84,$72,$00
	.DB	$C7,$84,$62,$13
	.DB	$CC,$84,$73,$00
	.DB	$CC,$84,$72,$00
	.DB	$C7,$84,$62,$13
	.DB	$CC,$84,$72,$07
	.DB	$CC,$82,$73,$0A
	.DB	$CE,$82,$73,$0C
	.DB	$CC,$82,$73,$0A
	.DB	$CE,$82,$73,$0C
	.DB	$FF

;==============================================================
; Part 4 (4.PDS)
;==============================================================

;-------------------------------- REMOVE BEFORE INSERTING IN GAME! -----------

CHRCONVTAB	.DB	0,44,-1,-1,46,47,-1,-1,-1,-1	 	; SPACE !
	.DB	37,-1,42,45,41,-1,1,2,3,4							; * , - . 0123
	.DB	5,6,7,8,9,10,-1,-1,-1,-1    		; 456789
	.DB	-1,43,-1,11,12,13,14,15,16,17	; ? ABCDEFG
	.DB	18,19,20,21,22,23,24,25,26,27	; HIJKLMNOPQ
	.DB	28,29,30,31,32,33,34,35,36				; RSTUVWXYZ
	.DB	-1,-1,-1,-1,-1,-1,39,40,38				; a=(c) b=(r) c=tm

SOUNDTEXT	.DB	0,6,6
	.DB	"AUDIO NO.  -"
	.DB	0,6,8
	.DB	"SAMPLE NO. -"
	.DB	-1

TEXTCHARS
	.IFdef	SENDSCREEN
	.INCBIN /*C:\JEROEN\SEGAMS\FONTS\*/ "JEROEN.MCH"
	.ENDIF
	;INCLUDE C:\JEROEN\SEGAMS\LETHAL3\TEXTCHRS.MUS
SCREENDEF
	.IFdef	SENDSCREEN
	.INCBIN /*C:\JEROEN\SEGAMS\FONTS\*/ "JEROEN.BIN"
	.ENDIF

SAMTAB	;DW	SAM1,SAM1E-SAM1
	;DW	SAM2,SAM2E-SAM2

SAM1	;INCBIN c:\JEROEN\MDRIVE\SHADUP.sam
SAM1E
SAM2	;INCBIN c:\JEROEN\MDRIVE\AHHVOX.sam
SAM2E

SAMSPEED	.DW	8


*** WORKSPACE ***

;	org	#c000

.ramsection "Vars" bank 0 slot 2                               ; M

VARIABLES	dsb	35*4 ;,0

ssslo	db	;0
ssshi	db	;0

psgreg7	db	;00111111b

noisenabl	db	;00111111b
noiseout	db	;0

KEYS	DB	;0
INTFLAG	db	;0

CHRPOS	DW	;0

DIGITS	dsb 7 ;DM	"000000"
	;DB	-1

ATNO	DB	;0
SAMNO	DB	;0

NUMBUFF	DB	;0,0,0

MONOFF	DB	;0

PALET dsb 32 ; M Moved from ROM to RAM

;	END	START
.ends
;--------------------------------------------- REMOVE TILL THIS POINT!---------


;==============================================================
; End
;==============================================================

.bank 0 slot 0
.sdsctag 1.01,name,sdscnotes,author                            ; M
.orga $7f00                                                    ; M
name:                                                          ; M
.db "Lethal Weapon 3 Music",0                                  ; M
.orga $7f20                                                    ; M
author:                                                        ; M
.db "Jeroen Tel",0                                             ; M
.orga $7f30                                                    ; M
sdscnotes:                                                     ; M
.db "Compiled version of Jeroen Tel's music engine/sound "     ; M
.db "test for \"Lethal Weapon 3\", an unfinished game by "     ; M
.db "Probe. Converted to a modern assembler dialect and "      ; M
.db "bugfixed by Maxim.",0
